<?php
/**
 * Template part for displaying release with the "lateral" display
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */

extract( wp_parse_args( $template_args, array(
	'release_alternate_thumbnail_position' => '',
	'index' => 0,
) ) );

$even_class = '';

$even = ( $index % 2 === 0 );
$odd = ( $index % 2 !== 0 );

if ( $odd && $release_alternate_thumbnail_position ) {
	$even_class = 'odd';
} elseif ( $even && $release_alternate_thumbnail_position ) {
	$even_class = 'even';
}
?>
<article <?php decibel_post_attr(); ?>>
	<div class="entry-box">
		<div class="entry-outer">
			<div class="entry-container <?php echo esc_attr( $even_class ); ?>">
				<a class="entry-link-mask" href="<?php the_permalink(); ?>"></a>
				<?php if ( $odd || ! $release_alternate_thumbnail_position ) : ?>
					<div class="entry-image">
						<div class="entry-cover">
							<?php
								echo decibel_background_img();
							?>
						</div><!-- entry-cover -->
					</div>
				<?php endif; ?>
				<div class="entry-summary">
					<div class="entry-summary-inner">
						<a href="<?php the_permalink(); ?>" class="entry-link">
							<?php the_title( '<h3 class="entry-title">', '</h3>' ) ?>
						</a>
						<?php
							/**
							 * Release Meta Hook
							 */
							do_action( 'decibel_release_meta' );
						?>
					</div><!--  .entry-summary-inner  -->
				</div><!--  .entry-summary  -->
				<?php if ( $even && $release_alternate_thumbnail_position ) : ?>
					<div class="entry-image">
						<div class="entry-cover">
							<?php
								echo decibel_background_img();
							?>
						</div><!-- entry-cover -->
					</div>
				<?php endif; ?>
			</div>
		</div><!-- .entry-outer -->
	</div><!-- .entry-box -->
</article><!-- #post-## -->