<?php
/**
 * Wolf Decibel Version 3 Updater VC backcompat old functions
 *
 * General core functions available on admin and frontend
 *
 * @author WolfThemes
 * @category Core
 * @package WolfDecibelVersion3Updater/Core
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function wdv3u_vc_get_custom_colors() {
	return array(

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Custom', 'wolf-decibel-v3-updater' ),
			'param_name' => 'custom_style',
			'value' => array(
				__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
			),
			'description' => '',
		),

		array(
			'type' => 'colorpicker',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Background Color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'bg_color',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Icon Color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_color',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Border Color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'border_color',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Background Color on Hover', 'wolf-decibel-v3-updater' ),
			'param_name' => 'bg_color_hover',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Icon Color on Hover', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_color_hover',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Border Color on Hover', 'wolf-decibel-v3-updater' ),
			'param_name' => 'border_color_hover',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		)
	);
}


if ( ! function_exists( 'wolf_inject_vc_params' ) ) {
	/**
	 * Inject some params in vc map params index
	 *
	 * @access public
	 * @since 1.0.0
	 * @param array $new_params
	 * @param array $params
	 * @return  array $params
	 */
	function wolf_inject_vc_params( $new_params, $params ) {

		foreach ( $new_params as $k => $param ) {
			array_push( $params['params'], $param );
		}

		return $params;
	}
}

function wdv3u_vc_get_button_color() {
	return array(
		__( 'theme color', 'wolf-decibel-v3-updater' )  => 'accent-color',
		__( 'theme color black/white on hover', 'wolf-decibel-v3-updater' )  => 'accent-color-bnw',
		__( 'black/white', 'wolf-decibel-v3-updater' )  => 'border-button',
		__( 'black/white theme color on hover', 'wolf-decibel-v3-updater' )  => 'border-button-accent-hover',
	);
}

function wdv3u_vc_get_button_type() {
	return  array(
		__( 'Square', 'wolf-decibel-v3-updater' ) => 'square',
		__( 'Round', 'wolf-decibel-v3-updater' ) => 'round',
	);
}
function wdv3u_vc_get_button_params() {

	global $icons_inverted_array;

	return array(
		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Button text', 'wolf-decibel-v3-updater' ),
			'param_name' => 'text',
			'description' => '',
			'value' => __( 'My Button', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Button tagline', 'wolf-decibel-v3-updater' ),
			'param_name' => 'tagline',
			'description' => __( 'optional', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => 'URL',
			'param_name' => 'url',
			'description' => 'http://website.com',
			//'value' => 'http://',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Custom', 'wolf-decibel-v3-updater' ),
			'param_name' => 'custom_style',
			'value' => array(
				__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'color',
			'value' => wdv3u_vc_get_button_color(),
			'std' => 'accent-color',
			'description' => '',
			'save_always' => true,
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'no' ) ),
		),

		// Custom

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Button background color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'button_bg_color',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Button font color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'button_font_color',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Button border color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'button_border_color',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Button background color on hover', 'wolf-decibel-v3-updater' ),
			'param_name' => 'button_bg_color_hover',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Button font color on hover', 'wolf-decibel-v3-updater' ),
			'param_name' => 'button_font_color_hover',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => __( 'Button border color on hover', 'wolf-decibel-v3-updater' ),
			'param_name' => 'button_border_color_hover',
			'value' => '',
			'dependency' => array( 'element' => 'custom_style', 'value' => array( 'yes' ) ),
		),

		// end custom

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Type', 'wolf-decibel-v3-updater' ),
			'param_name' => 'type',
			'value' => wdv3u_vc_get_button_type(),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Add icon', 'wolf-decibel-v3-updater' ),
			'param_name' => 'add_button_icon',
			'value' => array(
				__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes'
			),
			'description' => __( 'Select Yes if you want to add an icon in your button', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'searchable',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Icon', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon',
			'value' => $icons_inverted_array,
			'description' => '',
			'dependency' => array( 'element' => 'add_button_icon', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Icon position', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_position',
			'value' => array(
				__( 'After', 'wolf-decibel-v3-updater' ) => 'after',
				__( 'Before', 'wolf-decibel-v3-updater' ) => 'before'
			),
			'description' => '',
			'dependency' => array( 'element' => 'add_button_icon', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Target', 'wolf-decibel-v3-updater' ),
			'param_name' => 'target',
			'value' => array(
				'Self' => '_self',
				'Blank' => '_blank',
				'Parent' => '_parent',
			),
			'description' => '',
		),
	);
}

// Button Shortcode
function wdv3u_vc_get_button_args() {
	return array(
		'name' => __( 'Button', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_button',
		'category' => 'by WolfThemes',
		'icon' => wdv3_get_deprecated_icon(),
		'allowed_container_element' => 'vc_column',
		'deprecated' => '5.3',
		'params' => array(

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Size', 'wolf-decibel-v3-updater' ),
				'param_name' => 'size',
				'value' => array(
					__( 'Medium', 'wolf-decibel-v3-updater' ) => 'medium',
					__( 'Small', 'wolf-decibel-v3-updater' ) => 'small',
					__( 'Large', 'wolf-decibel-v3-updater' ) => 'large',
					__( 'Very Large', 'wolf-decibel-v3-updater' ) => 'very-large',
				),
				// 'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		)
	);
}

function wdv3u_vc_get_slider_settings() {
	return array(

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Autoplay', 'wolf-decibel-v3-updater' ),
			'param_name' => 'autoplay',
			'value' => array(
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'true',
				__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Pause on hover (if autoplay)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'pause_on_hover',
			'value' => array(
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'true',
				__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Transition', 'wolf-decibel-v3-updater' ),
			'param_name' => 'transition',
			'value' => array(
				__( 'Auto (fade by default and slide on touchable devices)', 'wolf-decibel-v3-updater' ) => 'auto',
				__( 'Slide', 'wolf-decibel-v3-updater' ) => 'slide',
				__( 'Fade', 'wolf-decibel-v3-updater' ) => 'fade',
			),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => __( 'Slideshow Speed in ms', 'wolf-decibel-v3-updater' ),
			'param_name' => 'slideshow_speed',
			'value' => 6000,
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Show navigation bullets', 'wolf-decibel-v3-updater' ),
			'param_name' => 'nav_bullets',
			'value' => array(
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'true',
				__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Show arrows', 'wolf-decibel-v3-updater' ),
			'param_name' => 'nav_arrows',
			'value' => array(
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'true',
				__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
			),
			'description' => '',
		),
	);
}

function wdv3u_vc_get_animations() {
	return array(
		__( 'None', 'wolf-decibel-v3-updater' ) => '',
		__( 'Fade In', 'wolf-decibel-v3-updater' ) => 'fadeIn',
		__( 'Fade In Up', 'wolf-decibel-v3-updater' ) => 'fadeInUp',
		__( 'Fade In Up Big', 'wolf-decibel-v3-updater' ) => 'fadeInUpBig',
		__( 'Fade In Down', 'wolf-decibel-v3-updater' ) => 'fadeInDown',
		__( 'Fade In Down Big', 'wolf-decibel-v3-updater' ) => 'fadeInDownBig',
		__( 'Fade In Left', 'wolf-decibel-v3-updater' ) => 'fadeInLeft',
		__( 'Fade In Left Big', 'wolf-decibel-v3-updater' ) => 'fadeInLeftBig',
		__( 'Fade In Right', 'wolf-decibel-v3-updater' ) => 'fadeInRight',
		__( 'Fade In Right Big', 'wolf-decibel-v3-updater' ) => 'fadeInRightBig',
	);
}

if ( ! function_exists( 'wolf_has_high_res_thumbnail' ) ) {
	/**
	 * Check the resolution of the video thumbnail
	 *
	 * @access public
	 * @param int post_id
	 * @return bool
	 */
	function wolf_has_high_res_thumbnail( $size = '', $wanted_width = 640, $wanted_height = 360, $post_id = null ) {

		if ( ! $post_id ) {
			$post_id = get_the_ID();
		}

		$attachment_id = get_post_thumbnail_id( $post_id );
		$image = wdv3u_get_url_from_attachment_id( $attachment_id, $size );
		$image = str_replace( esc_url( home_url() ) . '/', ABSPATH, $image );
		//debug( $image );
		if ( is_file( $image ) ) {
			list( $width, $height ) = getimagesize( $image );
			//debug( getimagesize( $image ) );
			if ( $wanted_width == $width && $wanted_height == $height ) {
				return true;
			}
		}
	}
}

if ( ! function_exists( 'wolf_get_image_size' ) ) {
	/**
	 * Get square image size, fallback if the original image isn't big enough
	 *
	 * @access public
	 * @return string
	 */
	function wolf_get_image_size( $thumb_size ) {

		$thumb_size = ( $thumb_size ) ? $thumb_size : '2x2';

		if ( 'classic-thumb' == $thumb_size ) {

			if ( ! wolf_has_high_res_thumbnail( $thumb_size, 640 ) ) {
				$thumb_size = 'classic-video-thumb';
			}

		} elseif ( 'square' == $thumb_size || '2x2' == $thumb_size ) {
			$thumb_size = '2x2';
			if ( ! wolf_has_high_res_thumbnail( $thumb_size, 960, 960 ) ) {
				$thumb_size = '1x1';
			}
		}

		return $thumb_size;
	}
}

if ( ! function_exists( 'wolf_is_blog_index' ) ) {
	/**
	 * Check if we're on the blog index page
	 *
	 * @return bool
	 */
	function wolf_is_blog_index() {

		global $wp_query;

		return is_object( $wp_query ) && isset( $wp_query->queried_object ) && isset( $wp_query->queried_object->ID ) && $wp_query->queried_object->ID == get_option( 'page_for_posts' );
	}
}

if ( ! function_exists( 'wolf_is_blog' ) ) {
	/**
	 * Check if we're on a blog page
	 *
	 * @return bool
	 */
	function wolf_is_blog() {
		return ( wolf_is_blog_index() || is_archive() || ( ! get_option( 'page_for_posts' ) && is_home() ) );
	}
}

if ( ! function_exists( 'wolf_is_portfolio' ) ) {
	/**
	 * Check if we're on a portfolio page
	 *
	 * @return bool
	 */
	function wolf_is_portfolio() {

		return function_exists( 'wolf_portfolio_get_page_id' ) && is_page( wolf_portfolio_get_page_id() ) || is_tax( 'work_type' );
	}
}

if ( ! function_exists( 'wolf_is_albums' ) ) {
	/**
	 * Check if we're on a albums page
	 *
	 * @return bool
	 */
	function wolf_is_albums() {

		return function_exists( 'wolf_albums_get_page_id' ) && is_page( wolf_albums_get_page_id() ) || is_tax( 'gallery_type' );
	}
}

if ( ! function_exists( 'wolf_is_videos' ) ) {
	/**
	 * Check if we're on a videos page
	 *
	 * @return bool
	 */
	function wolf_is_videos() {

		return function_exists( 'wolf_videos_get_page_id' ) && is_page( wolf_videos_get_page_id() ) || is_tax( 'video_type' ) || is_tax( 'video_tag' );
	}
}

if ( ! function_exists( 'wolf_flexslider_gallery' ) ) {
	/**
	 * Display a slider with the image frome the gallery shortcode
	 *
	 * @access public
	 * @param array $images
	 * @param string $orderby
	 * @return string $output
	 */
	function wolf_flexslider_gallery( $images = array(), $orderby, $inline_style = '', $class = '' ) {

		if ( 'rand' == $orderby ) {
			shuffle( $images );
		}

		$post_id = get_the_ID();
		$permalink = get_permalink();
		$selector = "gallery-$post_id";

		$style = '';
		$class = ( $class ) ? "$class " : ''; // add space
		$class .= "post-gallery-slider flexslider clearfix";

		if ( $inline_style ) {
			$style .= $inline_style;
		}

		$style = ( $style ) ? " style='$style'" : '';

		$output = "<div class='$class' id='$selector'$style><ul class='slides'>";
		$size = 'slide';

		if (	'masonry' == wolf_get_theme_option( 'blog_type' ) && wolf_is_blog()
			|| 'masonry' == wolf_get_theme_option( 'work_type' ) && wolf_is_portfolio() ) {
			$size = 'classic-thumb';
		}

		foreach ( $images as $image_id ) {
			$attachment = get_post( $image_id );
			$image_url = esc_url( wdv3u_get_url_from_attachment_id( $image_id, $size ) );
			$title = wptexturize( $attachment->post_title );
			$alt = esc_attr( get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ) );
			$alt = ( $alt ) ? $alt : $title;
			$post_excerpt = wolf_sample( wptexturize( $attachment->post_excerpt ), 88 );
			$title_attr = ( $post_excerpt ) ? $post_excerpt : '';

			$output .= "<li class='slide'>
				<img src='$image_url' alt='$alt'>";

				if ( $post_excerpt )
					$output .= "<p class='flex-caption'>$post_excerpt</p>";

			$output .= '</li>';
		}

		$output .= '</ul></div>';

		return $output;
	}
}

if ( ! function_exists( 'wolf_simple_gallery' ) ) {
	/**
	 * Generate a simple gallery
	 *
	 * @access public
	 * @param array $images
	 * @param string $link
	 * @param string $size
	 * @param string $padding
	 * @param int $columns
	 * @param string $hover_effect
	 * @param string $orderby
	 * @return string $output
	 */
	function wolf_simple_gallery( $images = array(), $link = 'file', $size = 'classic-thumb', $padding = 'no', $columns = 3, $hover_effect = 'default', $orderby = '', $inline_style = '', $class = '' ) {

		if ( 'rand' == $orderby ) {
			shuffle( $images );
		}

		$rand_id = rand( 0,999 );
		$selector = "gallery-$rand_id";

		$style = '';
		$class = ( $class ) ? "$class " : ''; // add space
		$class .= "wolf-images-gallery clearfix simple-gallery hover-$hover_effect";

		if ( $inline_style ) {
			$style .= $inline_style;
		}

		$style = ( $style ) ? " style='$style'" : '';

		if ( 'yes' == $padding )
			$class .= " padding";

		$columns = absint( $columns );
		$itemwidth = $columns > 0 ? round( 100 / $columns, 2,  PHP_ROUND_HALF_DOWN ) - 0.01 : 100;
		$float = is_rtl() ? 'right' : 'left';

		$css = "<style type='text/css'>
			#{$selector} .block {
				float: {$float};
				width: {$itemwidth}%;";

		if ( 1 == $columns ) {
			$css .= 'padding-bottom:10px!important;';
		}

		$css .= '}</style>';

		$output = wolf_clean_spaces( $css );

		if ( 1 == $columns ) {
			$size = 'extra-large';
		}
		$output .= "<div class='$class' id='$selector'$style>";

		foreach ( $images as $image_id ) {

			$attachment = get_post( $image_id );
			$image_url = esc_url( wdv3u_get_url_from_attachment_id( $image_id, $size ) );

			$file = esc_url( wdv3u_get_url_from_attachment_id( $image_id, 'extra-large' ) );
			$image_page = get_attachment_link( $image_id );
			$href = ( 'post' == $link || 'attachment' == $link ) ? $image_page : $file;
			$class = ( 'file' == $link ) ? 'lightbox image-item' : 'image-item';

			$title = wptexturize( $attachment->post_title );
			$post_excerpt = wolf_sample( wptexturize( $attachment->post_excerpt ), 88 );
			$title_attr = ( $post_excerpt ) ? $post_excerpt : '';

			$output .= "<div class='block'>";

			if ( 'none' != $link )
				$output .= "<a title='$title_attr' href='$href' class='$class' rel='$selector'>";
			else
				$output .= "<span class='$class'>";

			$output .= "<img src='$image_url' alt='$title'>";

			if ( 'none' != $link )
				$output .= '</a>';
			else
				$output .= '</span>';

			$output .= '</div>';
		}

		$output .= '</div>';

		if ( array() != $images )
			return $output;
	}
}

if ( ! function_exists( 'wolf_simple_carousel_gallery' ) ) {
	/**
	 * Generate a simple carouel layout gallery
	 *
	 * @access public
	 * @param array $images
	 * @param string $link
	 * @param string $size
	 * @param string $padding
	 * @param int $columns
	 * @param string $hover_effect
	 * @param string $orderby
	 * @return string $output
	 */
	function wolf_simple_carousel_gallery( $images = array(), $link = 'file', $size = 'classic-thumb', $padding = 'no', $hover_effect = 'default', $orderby = '', $inline_style = '', $class = '' ) {

		if ( 'rand' == $orderby ) {
			shuffle( $images );
		}

		$rand_id = rand( 0,999 );
		$selector = "gallery-$rand_id";

		$style = '';
		$class = ( $class ) ? "$class " : ''; // add space
		$class .= "wolf-images-gallery clearfix carousel-simple-gallery owl-carousel hover-$hover_effect";

		if ( 'yes' == $padding )
			$class .= " padding";

		if ( $inline_style ) {
			$style .= $inline_style;
		}

		$style = ( $style ) ? " style='$style'" : '';

		$output = "<div class='$class' id='$selector'$style>";

		foreach ( $images as $image_id ) {

			$attachment = get_post( $image_id );
			$image_url = esc_url( wdv3u_get_url_from_attachment_id( $image_id, $size ) );

			$file = esc_url( wdv3u_get_url_from_attachment_id( $image_id, 'extra-large' ) );
			$image_page = get_attachment_link( $image_id );
			$href = ( 'post' == $link || 'attachment' == $link ) ? $image_page : $file;
			$class = ( 'file' == $link ) ? 'lightbox image-item' : 'image-item';

			$title = wptexturize( $attachment->post_title );
			$post_excerpt = wolf_sample( wptexturize( $attachment->post_excerpt ), 88 );
			$title_attr = ( $post_excerpt ) ? $post_excerpt : '';

			$output .= "<div class='block'>";

			if ( 'none' != $link )
				$output .= "<a title='$title_attr' href='$href' class='$class' rel='$selector'>";
			else
				$output .= "<span class='$class'>";

			$output .= "<img src='$image_url' alt='$title'>";

			if ( 'none' != $link )
				$output .= '</a>';
			else
				$output .= '</span>';

			$output .= '</div>';
		}

		// $output .= '</ul>';

		$output .= '</div>';

		if ( array() != $images )
			return $output;
	}
}

if ( ! function_exists( 'wolf_mosaic_gallery' ) ) {
	/**
	 * Generate a mosaic carouel layout gallery
	 *
	 * @access public
	 * @param array $images
	 * @param string $link
	 * @param string $hover_effect
	 * @param string $orderby
	 * @param bool $carousel
	 * @return string $output
	 */
	function wolf_mosaic_gallery( $images = array(), $link = 'file', $hover_effect = 'default', $orderby = '', $carousel = true, $inline_style = '', $class = '' ) {

		if ( 'rand' == $orderby ) {
			shuffle( $images );
		}

		$rand_id = rand( 0,999 );
		$selector = "gallery-$rand_id";

		$style = '';
		$class = ( $class ) ? "$class " : ''; // add space
		$class .= "wolf-images-gallery clearfix hover-$hover_effect";

		if ( $carousel ) {
			$class .= " carousel-mosaic-gallery owl-carousel";
		} else {
			$class .= " mosaic-gallery";
		}

		if ( $inline_style ) {
			$style .= $inline_style;
		}

		$style = ( $style ) ? " style='$style'" : '';


		$output = "<div class='$class' id='$selector'$style>";

		$i = 0;

		foreach ( $images as $image_id ) {
			if ( $i%6 == 0) {
				if ( $i == 0 ) {
					$output .= "\n";
					$output .= '<div class="slide block">';
					$output .= "\n";
				} elseif ( $i != count( $images ) ) {
					$output .= '</div><!--.block-->';
					$output .= "\n";
					$output .= '<div class="slide block">';
					$output .= "\n";
				} else {
					$output .= '</div><!--.block-->';
					$output .= "\n";
				}
			}

			/* Images sizes */
			if ( $i%6 == 1) {
				$size = '2x1';

			} elseif ($i%6 == 3 ) {
				$size = '1x2';

			} elseif( $i%6 == 5 ) {
				$size = '2x1';

			} else {
				$size = '2x2';
			}

			$i++;

			$attachment = get_post( $image_id );

			if ( $attachment ) {

				$image_url = esc_url( wdv3u_get_url_from_attachment_id( $image_id, $size ) );

				$file = esc_url( wdv3u_get_url_from_attachment_id( $image_id, 'extra-large' ) );
				$image_page = get_attachment_link( $image_id );
				$href = ( 'post' == $link || 'attachment' == $link ) ? $image_page : $file;
				$class = ( 'file' == $link ) ? 'lightbox image-item' : 'image-item';

				$title = wptexturize( $attachment->post_title );
				$post_excerpt = esc_attr( wolf_sample( wptexturize( $attachment->post_excerpt ), 88 ) );
				$title_attr = ( $post_excerpt ) ? " title='$post_excerpt'" : '';

				if ( 'none' != $link ) {
					$output .= "<a$title_attr href='$href' class='$class' rel='$selector'>";
					$output .= "\n";
				} else {
					$output .= "<span class='$class'>";
					$output .= "\n";
				}

				$output .= "<img src='$image_url' alt='$title'>";
				$output .= "\n";

				if ( 'none' != $link ) {
					$output .= '</a>';
					$output .= "\n";
				} else {
					$output .= '</span>';
					$output .= "\n";
				}
			}

		} // end for each

		$output .= '</div><!--.block-->';
		$output .= "\n";
		$output .= '</div><!--.wolf-images-gallery-->';

		if ( array() != $images )
			return $output;
	}
}

if ( ! function_exists( 'wolf_get_slider_loop_ids' ) ) {
	/**
	 * Get the ids of the posts featured in the home slider
	 *
	 * @access public
	 * @return array $ids
	 */
	function wolf_get_slider_loop_ids() {

		$ids  = array();
		$args = array(
			'post_type' => array( 'post', 'page', 'gallery', 'release', 'video', 'show', 'product', 'plugin', 'work' ),
			'posts_per_page' => -1,
			'ignore_sticky_posts' => 1,
			'meta_query' => array(
				'relation' => 'AND',
					array(
						'key' => '_thumbnail_id',
						'compare' => '!=',
						'value' => '',
					),
					array(
						'key' => '_featured_post',
						'compare' => '=',
						'value' => 'on',
					),
			),
		);

		$loop = new WP_Query( $args );

		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) {
				$loop->the_post();
				$ids[] = get_the_ID();
			}
		}

		return $ids;
	}
}

if ( ! function_exists( 'wolf_get_slide_loop' ) ) {
	/**
	 * Get featured post loop
	 *
	 * @access public
	 * @return object $loop
	 */
	function wolf_get_slide_loop() {

		$args = array(
			'post_type' => array( 'post', 'page', 'gallery', 'release', 'video', 'show', 'product', 'plugin', 'work' ),
			'posts_per_page' => -1,
			'ignore_sticky_posts' => 1,
			'meta_query' => array(
				'relation' => 'AND',
				array(
					'key' => '_thumbnail_id',
					'compare' => '!=',
					'value' => ''
				),
				array(
					'key' => '_featured_post',
					'compare' => '=',
					'value' => 'on'
				),
			),
		);

		$loop = new WP_Query( $args );

		return $loop;
	}
}

if ( ! function_exists( 'wolf_get_theme_option' ) ) {
	/**
	 * Get theme option from "wolf_theme_options_template" array
	 *
	 * @param string $o
	 * @param string $default
	 * @return string
	 */
	function wolf_get_theme_option( $o, $default = '' ) {

		global $options;

		$wolf_theme_options = get_option( 'wolf_theme_options_' . wolf_get_theme_slug() );

		if ( isset( $wolf_theme_options[ $o ] ) ) {

			$option = $wolf_theme_options[ $o ];

			if ( function_exists( 'icl_t' ) ) {

				$option = icl_t( wolf_get_theme_slug(), $o, $option ); // WPML
			}

			return $option;

		} elseif ( $default ) {

			return $default;
		}
	}
}

if ( ! function_exists( 'wolf_get_theme_slug' ) ) {
	/**
	 * Get the theme slug
	 *
	 * @access public
	 * @return string
	 */
	function wolf_get_theme_slug() {

		return sanitize_title( get_template() );
	}
}

if ( ! function_exists( 'wolf_is_slider_in_home_header' ) ) {
	/**
	 * Check if a slider shortcode is in the home header content
	 *
	 * @access public
	 * @return bool
	 */
	function wolf_is_slider_in_home_header() {

		$hero    = wolf_get_theme_option( 'home_header_content' );
		$pattern = get_shortcode_regex();

		if ( is_page_template( 'page-templates/home.php' ) ) {
			if ( $hero && preg_match( "/$pattern/s", $hero, $match ) ) {

				if ( preg_match( '/slider/i', $match[2], $match_slider ) ) {
					return true;
				}
			}
		}
	}
}

if ( ! function_exists( 'wolf_get_post_thumbnail_url' ) ) {
	/**
	 * Get any thumbnail URL
	 * @param string $format
	 * @param int $post_id
	 * @return string
	 */
	function wolf_get_post_thumbnail_url( $format = 'medium', $post_id = null ) {
		global $post;

		if ( is_object( $post ) && isset( $post->ID ) && null == $post_id )
			$ID = $post->ID;
		else
			$ID = $post_id;

		if ( $ID && has_post_thumbnail( $ID ) ) {

			$attachment_id = get_post_thumbnail_id( $ID );
			if ( $attachment_id ) {
				$img_src = wp_get_attachment_image_src( $attachment_id, $format );

				if ( $img_src && isset( $img_src[0] ) )
					return esc_url( $img_src[0] );
			}
		}
	}
}

if ( ! function_exists( 'all_rev_sliders_in_array' ) ) {
	/**
	 * Get the rev slider list
	 *
	 * @access public
	 * @see http://themeforest.net/forums/thread/add-rev-slider-to-theme-please-authors-reply/97711
	 * @return array $result
	 */
	function all_rev_sliders_in_array() {

		if ( class_exists( 'RevSlider' ) ) {
			$theslider     = new RevSlider();
			$arrSliders = $theslider->getArrSliders();
			$arrA     = array();
			$arrT     = array();
			foreach($arrSliders as $slider){
			$arrA[]     = $slider->getAlias();
			$arrT[]     = $slider->getTitle();
		}

		if ( $arrA && $arrT ) {
			$result = array_combine($arrA, $arrT);
		} else {
			$result = array( '' => __( 'No slider yet', 'wolf-decibel-v3-updater' ) );
		}
			return $result;
		}
	}
}