<?php
/**
 * Wolf Decibel Version 3 Updater shortcode filters
 *
 * @author WolfThemes
 * @category Core
 * @package WolfDecibelVersion3Updater/Core
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Function filter separator attr
 */
function wdv3u_filter_shortcode_atts( $atts, $base ) {

	if ( 'vc_separator' === $base ) {
		
		$has_css = false;
		$css = '.vc_custom_' . rand( 0, 9999999 ) . '{';

		if ( isset( $atts['margin_top'] ) ) {
			$has_css = true;
			$css .= 'margin-top:' . absint( $atts['margin_top'] ) . 'px!important;';
			unset( $atts['margin_top'] );
		}

		if ( isset( $atts['margin_bottom'] ) ) {
			$has_css = true;
			$css .= 'margin-bottom:' . absint( $atts['margin_bottom'] ) . 'px!important;';
			unset( $atts['margin_bottom'] );
		}

		$css .= '}';

		if ( $has_css ) {
			$atts['css'] = $css;
		}
	}

	/*--------------------------------*/

	if ( 'vc_column_text' === $base ) {
		//$css = '.vc_custom_' . rand( 0, 9999999 ) . '{margin-bottom:0;}';
		//$atts['css'] = $css;
	}

	/*--------------------------------*/

	if ( isset( $atts['add_icon'] ) && ( 'yes' === $atts['add_icon'] ) && isset( $atts['icon'] ) ) {
		
		if ( preg_match( '/fa-/', $atts['icon'] ) ) {

			$atts['i_icon_fontawesome'] = 'fa ' . $atts['icon'];
			unset( $atts['icon'] );

		} elseif ( preg_match( '/line-/', $atts['icon'] ) ) {
			$atts['i_type'] = 'linecons';
			$atts['i_icon_linecons'] = str_replace( 'line-icon-', 'vc_li vc_li-' , $atts['icon'] );
			unset( $atts['icon'] );
		}
	}

	/*--------------------------------*/

	$bg_colorable_elements = array();
	if ( in_array( $base, $bg_colorable_elements ) ) {
		if ( isset( $atts['background_color'] ) ) {
			$atts['background_custom_color'] = $atts['background_color'];
			$atts['background_color'] = 'custom';
		}
	}

	$colorable_elements = array( 'wolf_fittext' );
	if ( in_array( $base, $colorable_elements ) ) {
		if ( isset( $atts['color'] ) ) {
			$atts['custom_color'] = $atts['color'];
			$atts['color'] = 'custom';
		}
	}

	/*--------------------------------*/

	if ( 'wolf_team_member' === $base ) {

		if ( isset( $atts['tagline'] ) ) {
			$atts['tagline'] = wolf_clean_spaces( $atts['tagline'] );
		}
	}

	/*--------------------------------*/

	/*if ( 'wolf_services_table' === $base ) {
		if ( isset( $atts['icon'] ) && isset( $atts['add_icon'] ) && $atts['add_icon'] ) {
			if ( preg_match( '/fa-/', $atts['icon'] ) ) {

				$atts['i_icon_fontawesome'] = 'fa ' . $atts['icon'];
				unset( $atts['icon'] );

			} elseif ( preg_match( '/line-/', $atts['icon'] ) ) {
				$atts['i_type'] = 'linecons';
				$atts['i_icon_linecons'] = str_replace( 'line-icon-', 'vc_li vc_li-' , $atts['icon'] );
				unset( $atts['icon'] );
			}
		}

		if ( isset( $atts['services'] ) ) {
			$atts['services'] = wp_strip_all_tags( str_replace( '</li>', '<br>', $atts['services'] ) );
			debug( $services );
			die();
		}
	}*/

	/*--------------------------------*/

	if ( 'wolf_button' === $base ) {

		$atts['button_type'] = 'decibel-button-solid-accent';

		if ( isset( $atts['icon'] ) && isset( $atts['add_button_icon'] ) && $atts['add_button_icon'] ) {
		
			$atts['add_icon'] = 'true';

			if ( preg_match( '/fa-/', $atts['icon'] ) ) {

				$atts['i_icon_fontawesome'] = 'fa ' . $atts['icon'];
				unset( $atts['icon'] );

			} elseif ( preg_match( '/line-/', $atts['icon'] ) ) {
				$atts['i_type'] = 'linecons';
				$atts['i_icon_linecons'] = str_replace( 'line-icon-', 'vc_li vc_li-' , $atts['icon'] );
				unset( $atts['icon'] );
			}
		}

		if ( isset( $atts['url'] ) ) {
			$url = $atts['url'];
			$target = isset( $atts['target'] ) ? $atts['target'] : '_self';
			$title = isset( $atts['title'] ) ? $atts['title'] : '';
			$atts['link'] = 'url:' . rawurlencode( $url ) . '|title:' . $title . ( strlen( $target ) > 0 ? '|target:' . rawurlencode( $target ) : '' );
		}

		if ( isset( $atts['custom_style'] ) && 'yes' === $atts['custom_style'] ) {
			
			$atts['button_type'] = 'default';

			if ( isset( $atts['button_bg_color'] ) ) {
				$atts['custom_color'] = $atts['button_bg_color'];
				$atts['color'] = 'custom';
			}
		
		} elseif ( isset( $atts['color'] ) ) {
			$atts['button_type'] = $atts['color'];
		}

		if ( isset( $atts['size'] ) && 'very-large' === $atts['size'] ) {
			$atts['button_block'] = 'yes';
			$atts['button_type'] = 'decibel-button-solid-accent';
		}

		$has_css = false;
		$css = '.vc_custom_' . rand( 0, 9999999 ) . '{';

		if ( isset( $atts['margin_top'] ) ) {
			$has_css = true;
			$css .= 'margin-top:' . absint( $atts['margin_top'] ) . 'px!important;';
			unset( $atts['margin_top'] );
		}

		if ( isset( $atts['margin_bottom'] ) ) {
			$has_css = true;
			$css .= 'margin-bottom:' . absint( $atts['margin_bottom'] ) . 'px!important;';
			unset( $atts['margin_bottom'] );
		}

		$css .= '}';

		if ( $has_css ) {
			$atts['css'] = $css;
		}

		//debug( $atts );
		//die();
	}

	/*--------------------------------*/

	if ( 'wolf_call_to_action' === $base ) {

		$atts['btn_button_type'] = 'decibel-button-solid-accent';

		if ( isset( $atts['icon'] ) && isset( $atts['add_button_icon'] ) && $atts['add_button_icon'] ) {
		
			$atts['btn_add_icon'] = 'true';

			if ( preg_match( '/fa-/', $atts['icon'] ) ) {

				$atts['btn_i_icon_fontawesome'] = 'fa ' . $atts['icon'];
				unset( $atts['icon'] );

			} elseif ( preg_match( '/line-/', $atts['icon'] ) ) {
				$atts['btn_i_type'] = 'linecons';
				$atts['btn_i_icon_linecons'] = str_replace( 'line-icon-', 'vc_li vc_li-' , $atts['icon'] );
				unset( $atts['icon'] );
			}
		}

		if ( isset( $atts['url'] ) ) {
			$url = $atts['url'];
			$target = isset( $atts['target'] ) ? $atts['target'] : '_self';
			$title = isset( $atts['title'] ) ? $atts['title'] : '';
			$atts['btn_link'] = 'url:' . rawurlencode( $url ) . '|title:' . $title . ( strlen( $target ) > 0 ? '|target:' . rawurlencode( $target ) : '' );
		}

		if ( isset( $atts['custom_style'] ) && 'yes' === $atts['custom_style'] ) {
			
			$atts['btn_button_type'] = 'default';

			if ( isset( $atts['button_bg_color'] ) ) {
				$atts['btn_custom_color'] = $atts['button_bg_color'];
				$atts['btn_color'] = 'custom';
			}
		
		} elseif ( isset( $atts['color'] ) ) {
			$atts['btn_button_type'] = $atts['color'];
		}

		//debug( $atts );
		//die();
	}

	/*--------------------------------*/

	if ( 'wolf_icon_with_text' === $base ) {

		if ( isset( $atts['icon'] ) ) {
		
			if ( preg_match( '/fa-/', $atts['icon'] ) ) {

				$atts['icon_fontawesome'] = 'fa ' . $atts['icon'];
				unset( $atts['icon'] );

			} elseif ( preg_match( '/line-/', $atts['icon'] ) ) {
				$atts['type'] = 'linecons';
				$atts['icon_linecons'] = str_replace( 'line-icon-', 'vc_li vc_li-' , $atts['icon'] );
				unset( $atts['icon'] );
			}
		}

		if ( isset( $atts['icon_color'] ) ) {
			$atts['custom_color'] = $atts['icon_color'];
			$atts['color'] = 'custom';
		}

		if ( isset( $atts['bg_color'] ) ) {
			$atts['background_custom_color'] = $atts['bg_color'];
			$atts['background_color'] = 'custom';
		}

		if ( isset( $atts['icon_link'] ) ) {
			$url = $atts['icon_link'];
			$target = isset( $atts['icon_target'] ) ? $atts['icon_target'] : '_self';
			$title = isset( $atts['title'] ) ? $atts['title'] : '';
			$atts['link'] = 'url:' . rawurlencode( $url ) . '|title:' . $title . ( strlen( $target ) > 0 ? '|target:' . rawurlencode( $target ) : '' );
		}

		//debug( $atts );
		//die();
	}

	/*--------------------------------*/

	if ( 'wolf_single_image' === $base ) {
		if ( isset( $atts['link'] ) ) {
			$url = $atts['link'];
			$target = isset( $atts['target'] ) ? $atts['target'] : '_self';
			$title = isset( $atts['title'] ) ? $atts['title'] : '';
			$atts['link'] = 'url:' . rawurlencode( $url ) . '|title:' . $title . ( strlen( $target ) > 0 ? '|target:' . rawurlencode( $target ) : '' );
		}

		// Onclick
		if ( isset( $atts['full_size'] ) ) {
			$atts['onclick'] = 'lightbox';
		}
	}

	/*--------------------------------*/

	if ( 'wolf_images_gallery' === $base ) {
		if ( isset( $atts['layout'] ) && 'carousel_simple' === $atts['layout'] ) {
			$atts['columns'] = 4;
		}
	}

	/*--------------------------------*/

	if ( 'wolf_last_posts_release' === $base ) {
		$atts['release_hover_effect'] = 'old';
	}

	if ( 'wolf_last_albums' === $base ) {
		$atts['gallery_hover_effect'] = 'old';
	}

	if ( 'wolf_last_posts_carousel' === $base ) {
		$atts['post_display'] = 'grid';
		$atts['post_module'] = 'carousel';
	}

	if ( 'wolf_last_posts_columns' === $base ) {
		$atts['post_display'] = 'grid_modern';
	}

	if ( 'wolf_last_posts_preview' === $base ) {
		$atts['post_display'] = 'lateral';
	}

	if ( 'wolf_last_posts_slider' === $base ) {
		$atts['post_display'] = 'grid';
		$atts['post_module'] = 'carousel';
		$atts['columns'] = '1';
	}

	if ( 'wolf_last_posts_masonry' === $base ) {
		$atts['post_display'] = 'masonry';
	}

	if ( 'wolf_last_videos_carousel' === $base ) {
		$atts['video_module'] = 'carousel';
	}

	/*--------------------------------*/

	if ( isset( $atts['class'] ) ) {
		$atts['el_class'] = $atts['class'];
		unset( $atts['class'] );
	}

	if ( isset( $atts['animation'] ) ) {
		$atts['css_animation'] = $atts['animation'];
		unset( $atts['animation'] );
	}

	if ( isset( $atts['animation_delay'] ) ) {
		$atts['css_animation_delay'] = $atts['animation_delay'];
		unset( $atts['animation_delay'] );
	}

	return $atts;
}
add_filter( 'wdv3u_shortcode_atts', 'wdv3u_filter_shortcode_atts', 10, 2 );

/**
 * Filter row shortcode
 */
function wdv3u_filter_row_shortcode_atts( $atts ) {

	if ( isset( $atts['content_type'] ) ) {
		$atts['content_width'] = $atts['content_type'];
		unset( $atts['content_type'] );
	}

	if ( isset( $atts['font_type'] ) ) {
		$atts['font_color'] = $atts['font_type'];
		unset( $atts['font_type'] );
	}

	if ( isset( $atts['background_image'] ) ) {

		if ( '0' !== $atts['background_image'] ) {
			if ( ! isset( $atts['background_type'] ) ) {
				$atts['background_type'] = 'image';
			}
			$atts['background_img'] = $atts['background_image'];
		}
		unset( $atts['background_image'] );
	}

	if ( isset( $atts['background_color'] ) && wdv3u_is_hex( $atts['background_color'] ) ) {

		if ( ! isset( $atts['background_type'] ) ) {
			$atts['background_type'] = 'image';
		}
		
		$atts['background_custom_color'] = $atts['background_color'];
		$atts['background_color'] = 'custom';
	}

	if ( isset( $atts['video_bg_mp4'] ) ) {
		//if ( ! isset( $atts['background_type'] ) ) {
		//	$atts['background_type'] = 'video';
		//}
		$atts['video_bg_url'] = $atts['video_bg_mp4'];
		unset( $atts['video_bg_mp4'] );
	}

	if ( isset( $atts['parallax'] ) && $atts['parallax'] ) {
		$atts['background_effect'] = 'parallax';
	}

	if ( isset( $atts['overlay'] ) ) {
		$atts['add_overlay'] = $atts['overlay'];
		unset( $atts['overlay'] );
	}

	if ( isset( $atts['overlay_color'] ) && wdv3u_is_hex( $atts['overlay_color'] ) ) {
		$atts['overlay_custom_color'] = $atts['overlay_color'];
		$atts['overlay_color'] = 'custom';
	}

	$has_css = false;
	$css = '.vc_custom_' . rand( 0, 9999999 ) . '{';

	if ( isset( $atts['padding_top'] ) ) {
		$has_css = true;
		$css .= 'padding-top:' . absint( $atts['padding_top'] ) . 'px!important;';
		unset( $atts['padding_top'] );
	}

	if ( isset( $atts['padding_bottom'] ) ) {
		$has_css = true;
		$css .= 'padding-bottom:' . absint( $atts['padding_bottom'] ) . 'px!important;';
		unset( $atts['padding_bottom'] );
	}

	$css .= '}';

	if ( $has_css ) {
		$atts['css'] = $css;
	}

	//debug( $atts );

	return $atts;
}
add_filter( 'wdv3u_row_atts', 'wdv3u_filter_row_shortcode_atts' );