<?php
/**
 * Wolf Decibel Version 3 Updater core functions
 *
 * General core functions available on admin and frontend
 *
 * @author WolfThemes
 * @category Core
 * @package WolfDecibelVersion3Updater/Core
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! get_option( 'wolf_theme_options_decibel' ) ) {
	return;
}

if ( ! defined( 'WOLF_BACKCOMPAT_DIR' ) && ! defined( 'WOLF_BACKCOMPAT_URI' ) ) {

	$wp_content_dir = str_replace( DIRECTORY_SEPARATOR, '/', WP_CONTENT_DIR );
	$wp_content_url = str_replace( DIRECTORY_SEPARATOR, '/', WP_CONTENT_URL );
	$dirname = str_replace( DIRECTORY_SEPARATOR, '/', dirname( __FILE__ ) );
	$uri = str_replace( $wp_content_dir, $wp_content_url, $dirname );

	define( 'WOLF_BACKCOMPAT_DIR', dirname( __FILE__ ) );
	define( 'WOLF_BACKCOMPAT_URI', $uri );
}

if ( ! defined( 'WDV3U_VERSION' ) ) {
	define( 'WDV3U_VERSION', '1.0.0' );
}

/**
 * Functions
 */
include_once( 'inc/core-functions.php' );
include_once( 'inc/shortcode-filters.php' );
include_once( 'inc/conditional-functions.php' );
include_once( 'inc/old-functions.php' );

/**
 * Update Options
 */
include_once( 'inc/options-updater.php' );

/**
 * Options Backcompat
 */
include_once( 'old-options/class-old-options.php' );
include_once( 'old-options/old-options.php' );

/**
 * Update shortcodes
 */
include_once( 'updater/class-updater.php' );

/**
 * VC Backcompat
 */
include_once( 'vc/vc.php' );

/**
 * Wolf Slider Backcompat
 */
include_once( 'wolf-slider/wolf-slider.php' );

/**
 * Home Header
 */
include_once( 'home-header/home-header.php' );

/**
 * Content Blocks Creator
 */
include_once( 'inc/content-blocks-creator.php' );

/**
 * Output Admin Notices
 */
include_once( 'inc/admin-notices.php' );