<?php

defined( 'ABSPATH' ) || exit;

/**
 * Get shortcode to convert
 */
function wdv3u_get_shortcode_array() {
	return array(

		'vc_separator' => array(
			'atts' => array(
				'width' => 'el_width',
				'alignment' => 'align',
			),
			'values' => array(
				'left' => 'align_left',
				'center' => 'align_center',
				'right' => 'align_right',
			),
		),

		'wolf_alert_message' => array(
			'base' => 'vc_message',
			'atts' => array(
				'message' => 'content',
			),
		),

		'wolf_countdown' => array(
			'base' => 'wvc_countdown',
		),

		'wolf_counter' => array(
			'base' => 'wvc_counter',
		),

		'wolf_facebook_page_box' => array(
			'base' => 'wvc_facebook_page_box',
		),

		'wolf_fittext' => array(
			'base' => 'vc_custom_heading',
			'atts' => array(
				'max_font_size' => 'font_size',
				'title_tag' => 'tag',
			),
			'values' => array(),
		),

		'wolf_icon_with_text' => array(
			'base' => 'vc_icon',
			'atts' => array(
				'icon_type' => 'background_style',
				'icon_position' => 'position',
				'icon_size' => 'size',
			),
			'values' => array(
				'normal' => 'none',
				'circle' => 'rounded',
				'square' => 'boxed',
				'fill-in' => 'fill',
			),
		),

		'wolf_last_posts_slider' => array(
			'base' => 'wvc_post_index',
			'atts' => array(
				'col' => 'columns',
			),
		),
		'wolf_last_posts_grid' => array(
			'base' => 'wvc_post_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		'wolf_last_posts_masonry' => array(
			'base' => 'wvc_post_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		'wolf_last_posts_preview' => array(
			'base' => 'wvc_post_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		'wolf_last_posts_columns' => array(
			'base' => 'wvc_post_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		'wolf_last_posts_carousel' => array(
			'base' => 'wvc_post_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		'wolf_last_videos_carousel' => array(
			'base' => 'wvc_video_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		/*'wolf_upcoming_shows_widget' => array(
			'base' => 'wvc_event_index',
		),*/

		'wolf_tweet' => array(
			'base' => 'wvc_twitter',
		),

		/*'wolfgram_gallery' => array(
			'base' => 'wvc_instagram',
		),*/

		'wolf_last_videos_carousel' => array(
			'base' => 'wvc_video_index',
			'atts' => array(
				'col' => 'columns',
				'padding' => 'grid_padding',
			),
		),

		'wolf_last_posts_release' => array(
			'base' => 'wvc_release_index',
			'atts' => array(
				'col' => 'columns',
				'padding' => 'grid_padding',
			),
		),

		'wolf_last_albums' => array(
			'base' => 'wvc_gallery_index',
			'atts' => array(
				'col' => 'columns',
			),
		),

		'wolf_mailchimp' => array(
			'base' => 'wvc_mailchimp',
			'atts' => array(
				'submit' => 'submit_text',
			),
		),

		'wolf_theme_socials' => array(
			'base' => 'wvc_social_icons',
			'atts' => array(
				'type' => 'background_style',
			),
			'values' => array(
				'circle' => 'rounded',
				'square' => 'boxed',
				'1x' => 'fa-1x',
				'2x' => 'fa-2x',
				'3x' => 'fa-3x',
				'4x' => 'fa-4x',
				'fill' => 'fill-in',
			),
		),

		'wolf_team_member' => array(
			'base' => 'wvc_team_member',
			'atts' => array(
				'photo' => 'image_id',
			),
		),

		'wolf_testimonials' => array(
			'base' => 'wvc_testimonial_slider',
		),

		'wolf_testimonial' => array(
			'base' => 'wvc_testimonial_slide',
			'content_attr_name' => 'text',
			'atts' => array(
				'content' => 'text',
				
			),
		),

		'wolf_single_image' => array(
			'base' => 'vc_single_image',
			'atts' => array(
				'image_size' => 'img_size',
			),
			'values' => array(
				'scale-greyscale' => 'zoomin',
				'scale-to-greyscale' => 'zoomin',
				'2x2' => '600x600',
				'portrait' => '300x537',
				'extra-large' => 'wvc-XL',
			),
		),

		'wolf_video' => array(
			'base' => 'vc_video',
			'atts' => array(
				'url' => 'link',
			),
		),

		

		'wolf_images_gallery' => array(
			'base' => 'vc_gallery',
			'atts' => array(
				'ids' => 'images',
				'layout' => 'type',
				'columns' => 'slides_per_view',
				'size' => 'img_size',
				'link' => 'onclick',
			),
			'values' => array(
				'simple' => 'image_grid',
				'carousel_simple' => 'carousel',
				'scale-greyscale' => 'zoomin',
				'scale-to-greyscale' => 'zoomin',
				'file' => 'lightbox',
				'raw-file' => 'img_link_large',
				'attachment' => 'attachment_page',

				'classic-thumb' => '600x360',
				'2x2' => '600x600',
				'portrait' => '300x537',
			),
		),

		'wolf_images_slider' => array(
			'base' => 'wvc_image_device_slider',
			'atts' => array(
				'ids' => 'images',
			),
		),

		'wolf_spacer' => array(
			'base' => 'vc_empty_space',
		),

		'wolf_button' => array(
			'base' => 'vc_button',
			'atts' => array(
				'text' => 'title',
				'type' => 'shape',
				'icon_position' => 'i_align',
				'add_button_icon' => 'add_icon',
			),
			'values' => array(
				'medium' => 'sm',
				'small' => 'xs',
				'large' => 'md',
				'very-large' => 'lg',

				'accent-color' => 'decibel-button-special-accent',
				'accent-color-bnw' =>  'decibel-button-solid-accent',
				'border-button' => 'decibel-button-outline-accent',
				'border-button-accent-hover' => 'decibel-button-outline',
			),
		),

		'wolf_call_to_action' => array(
			'base' => 'vc_cta',
			'atts' => array(
				'main_text' => 'h2',
				'main_tagline' => 'h4',
				'text' => 'btn_title',
				'type' => 'btn_shape',
				'icon_position' => 'btn_i_align',
				'add_button_icon' => 'btn_add_icon',
			),

			'values' => array(
				'medium' => 'sm',
				'small' => 'xs',
				'large' => 'md',
				'very-large' => 'lg',

				'accent-color' => 'decibel-button-special-accent',
				'accent-color-bnw' =>  'decibel-button-solid-accent',
				'border-button' => 'decibel-button-outline-accent',
				'border-button-accent-hover' => 'decibel-button-outline',
			),
		),

		/*'wolf_services_table' => array(
			'base' => 'wvc_service_table',
			'content_attr_name' => 'services',
			'atts' => array(
			)
		),*/
	);
}