<?php
/**
 * Wolf Decibel Version 3 Updater VC backcompat core functions
 *
 * General core functions available on admin and frontend
 *
 * @author WolfThemes
 * @category Core
 * @package WolfDecibelVersion3Updater/Core
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Get deprecated icon
 */
function wdv3_get_deprecated_icon() {
	return 'fa fa-undo';
}

/**
 * Get element list
 *
 * @return array
 */
function wdv3u_get_vc_element_list() {

	$elements = array(
		'alert',
		'button',
		'clients-carousel',
		'countdown',
		'counter',
		'cta',
		'fittext',
		'holder',
		'icon-text',
		'images-gallery',
		'images-slider',
		'last-posts',
		'linked-image',
		'mailchimp',
		'pricing-table',
		'process',
		'separator',
		'services-table',
		'single-image',
		'socials',
		'spacer',
		'team-member',
		'testimonials',
		'text-block',
		'video',
		'wolf-plugins',
		'woocommerce',
	);

	$elements = apply_filters( 'wdv3u_element_list', $elements );

	sort( $elements );

	return $elements;
}