<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$font_list = array( __( 'Default heading font', 'wolf-decibel-v3-updater' ) => '' );

//global wdv3u_vc_get_animations(), $wolf_fonts;

$wolf_fonts = ( function_exists( 'wvc_get_google_fonts_options' ) ) ? apply_filters( 'wvc_fonts', wvc_get_google_fonts_options() ) : array();
foreach ( $wolf_fonts as $key => $value ) {
	$font_list[$key] = $key;
}

// Fittext
vc_map(
	array(
		'name' => __( 'Headline', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_fittext',
		'category' => 'by WolfThemes',
		'icon' => wdv3_get_deprecated_icon(),
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'params' => array(

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Maximum font size', 'wolf-decibel-v3-updater' ),
				'param_name' => 'max_font_size',
				'value' => 72,
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Text', 'wolf-decibel-v3-updater' ),
				'param_name' => 'text',
				'value' => __( 'My Headline', 'wolf-decibel-v3-updater' ),
			),

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Tag', 'wolf-decibel-v3-updater' ),
				'param_name' => 'title_tag',
				'value' => array(
					//'span' => 'span',
					'h5' => 'h5',
					'h4' => 'h4',
					'h3' => 'h3',
					'h2' => 'h2',
					'h1' => 'h1',
				),
				// 'description' => '',
			),

			array(
				'type' => 'colorpicker',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Text color', 'wolf-decibel-v3-updater' ),
				'param_name' => 'color',
				'value' => '',
			),


			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Font weight', 'wolf-decibel-v3-updater' ),
				'param_name' => 'font_weight',
				'value' => 700,
			),

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Text transform', 'wolf-decibel-v3-updater' ),
				'param_name' => 'text_transform',
				'value' => array(
					__( 'uppercase', 'wolf-decibel-v3-updater' ) => 'uppercase',
					__( 'none', 'wolf-decibel-v3-updater' ) => 'none',

				),
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Letter spacing', 'wolf-decibel-v3-updater' ),
				'param_name' => 'letter_spacing',
				'value' => 0,
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Font', 'wolf-decibel-v3-updater' ),
				'param_name' => 'font_family',
				'value' => $font_list,
				// 'description' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
				'description' => '',
				'param_name' => 'animation',
				'value' => wdv3u_vc_get_animations(),
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
				'param_name' => 'animation_delay',
				'value' => '',
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		)
	)
);