<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Icon with Text
$args = array(
	'name' => 'Icon with text',
	'base' => 'wolf_icon_with_text',
	'icon' => wdv3_get_deprecated_icon(),
	'category' => 'by WolfThemes',
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'searchable',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Icon', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon',
			'value' => $icons_inverted_array,
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Title', 'wolf-decibel-v3-updater' ),
			'param_name' => 'title',
			'value' => ''
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Title tag', 'wolf-decibel-v3-updater' ),
			'param_name' => 'title_tag',
			'value' => array(
				'h3' => 'h3',
				'h1' => 'h1',
				'h2' => 'h2',
				'h4' => 'h4',
				'h5' => 'h5',
				'h6' => 'h6',
			),
		),

		array(
			'type' => 'textarea',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Text', 'wolf-decibel-v3-updater' ),
			'param_name' => 'text',
			'value' => ''
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Position', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_position',
			'value' => array(
				__( 'Top', 'wolf-decibel-v3-updater' ) => 'top',
				__( 'Left', 'wolf-decibel-v3-updater' ) => 'left',
				__( 'Left from Title', 'wolf-decibel-v3-updater' ) => 'left_from_title',
				__( 'Right', 'wolf-decibel-v3-updater' ) => 'right',
				__( 'Right from Title', 'wolf-decibel-v3-updater' ) => 'right_from_title'
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Type', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_type',
			'value' => array(
				__( 'Normal', 'wolf-decibel-v3-updater' ) => 'normal',
				__( 'Circle', 'wolf-decibel-v3-updater' ) => 'circle',
				__( 'Square', 'wolf-decibel-v3-updater' ) => 'square',
				__( 'Ban', 'wolf-decibel-v3-updater' ) => 'ban',
			),
			'description' => ''
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Size', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_size',
			'value' => array(
			//	__( 'Tiny', 'wolf-decibel-v3-updater' ) => 'fa-lg',
				__( 'Small', 'wolf-decibel-v3-updater' ) => 'fa-2x',
				__( 'Medium', 'wolf-decibel-v3-updater' ) => 'fa-3x',
				__( 'Large', 'wolf-decibel-v3-updater' ) => 'fa-4x',
				__( 'Very Large', 'wolf-decibel-v3-updater' ) => 'fa-5x'
			),
			'description' => ''
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Hover transition', 'wolf-decibel-v3-updater' ),
			'param_name' => 'hover_effect',
			'value' => array(
				__( 'Normal', 'wolf-decibel-v3-updater' ) => 'none',
				__( 'Fill in', 'wolf-decibel-v3-updater' ) => 'fill-in',
			),
			'description' => __( 'Custom hover effects won\'t apply to icon with custom colors settings', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Icon animation', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_animation',
			'value' => array(
				__( 'No', 'wolf-decibel-v3-updater' ) => '',
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes'
			),
			'description' => ''
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Icon animation delay (ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_animation_delay',
			'value' => '',
			'description' => '',
			'dependency' => array( 'element' => 'icon_animation', 'value' => array( 'yes' ) ),
		),

		// array(
		// 	'type' => 'colorpicker',
		// 	'admin_label' => true,
		// 	'class' => '',
		// 	'heading' => __( 'Text Color', 'wolf-decibel-v3-updater' ),
		// 	'param_name' => 'text_color',
		// 	'description' => ''
		// ),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Link', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_link',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Target', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_link_target',
			'value' => array(
				''   => '',
				'Self' => '_self',
				'Blank' => '_blank',
				'Parent' => '_parent',
			),
			'description' => '',
		),

		array(
			'type' => 'checkbox',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => '',
			'param_name' => 'icon_link_title',
			'value' => array( __( 'Link title as well', 'wolf-decibel-v3-updater' ) => true ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Container animation', 'wolf-decibel-v3-updater' ),
			'description' => '',
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Container animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);
vc_map( wolf_inject_vc_params( wdv3u_vc_get_custom_colors(), $args ) );