<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$args = array(
	'name' => __( 'Image gallery', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_images_gallery',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'attach_images',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Images', 'wolf-decibel-v3-updater' ),
			'param_name' => 'ids',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Layout', 'wolf-decibel-v3-updater' ),
			'param_name' => 'layout',
			'value' => array(
				__( 'Mosaic', 'wolf-decibel-v3-updater' ) => 'mosaic',
				//__( 'Mosaic carousel', 'wolf-decibel-v3-updater' ) => 'carousel_mosaic',
				__( 'Simple carousel', 'wolf-decibel-v3-updater' ) => 'carousel_simple',
				__( 'Simple', 'wolf-decibel-v3-updater' ) => 'simple',
			),
			'description' => __( 'For the mosaic gallery set a minimum of 12 image and a multiple of 6 is recommended.<br>Uploaded images must be 960x960px minimum.', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
			'param_name' => 'columns',
			'value' => array(
				1,2,3,4,5,6
			),
			'description' => '',
			'dependency' => array( 'element' => 'layout', 'value' => array( 'simple' ) ),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Image size', 'wolf-decibel-v3-updater' ),
			'param_name' => 'size',
			'value' => array(
				__( 'Standard', 'wolf-decibel-v3-updater' ) => 'classic-thumb',
				__( 'Square', 'wolf-decibel-v3-updater' ) => '2x2',
				__( 'Portrait', 'wolf-decibel-v3-updater' ) => 'portrait',
			),
			'description' => '',
			'dependency' => array( 'element' => 'layout', 'value' => array( 'simple', 'carousel_simple' ) ),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Link', 'wolf-decibel-v3-updater' ),
			'param_name' => 'link',
			'value' => array(
				__( 'Open in a lightbox', 'wolf-decibel-v3-updater' ) => 'file',
				__( 'Full Size image', 'wolf-decibel-v3-updater' ) => 'raw-file',
				__( 'Attachment page', 'wolf-decibel-v3-updater' ) => 'attachment',
				__( 'Not linked', 'wolf-decibel-v3-updater' ) => 'none',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Hover effect', 'wolf-decibel-v3-updater' ),
			'param_name' => 'hover_effect',
			'value' => array(
				__( 'Default', 'wolf-decibel-v3-updater' ) => 'default',
				__( 'Black and white to colored', 'wolf-decibel-v3-updater' ) => 'greyscale',
				__( 'Colored to black and white', 'wolf-decibel-v3-updater' ) => 'to-greyscale',
				__( 'Zoom + Black and white to colored', 'wolf-decibel-v3-updater' ) => 'scale-greyscale',
				__( 'Zoom + Colored to black and white', 'wolf-decibel-v3-updater' ) => 'scale-to-greyscale',
				__( 'None', 'wolf-decibel-v3-updater' ) => 'none',
			),
			'description' => __( 'Note that not all browser support the black and white effect', 'wolf-decibel-v3-updater' ),
			'dependency' => array( 'columns' => 'link', 'value' => array( 'full_size', 'attachment' ) ),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Padding', 'wolf-decibel-v3-updater' ),
			'param_name' => 'padding',
			'value' => array(
				__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
			),
			'description' => '',
			'dependency' => array( 'element' => 'layout', 'value' => array( 'simple', 'carousel_simple' ) ),
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);
vc_map( $args );