<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$args = array(

	'name' => __( 'Linked image', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_linked_image',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'attach_image',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image size', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image_size',
			'value' => array(
				__( 'Large', 'wolf-decibel-v3-updater' ) => 'large',
				__( 'Medium', 'wolf-decibel-v3-updater' ) => 'medium',
				__( 'Thumbnail', 'wolf-decibel-v3-updater' ) => 'thumbnail',
				__( 'Square', 'wolf-decibel-v3-updater' ) => '2x2',
				__( 'Portrait', 'wolf-decibel-v3-updater' ) => 'portrait',
				__( 'Extra Large', 'wolf-decibel-v3-updater' ) => 'extra-large',
			),
			'description' => __( 'You can set the "large", "medium" and "thumbnail" sizes in the WP media settings ', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image alignment', 'wolf-decibel-v3-updater' ),
			'param_name' => 'alignment',
			'value' => array(
				__( 'center', 'wolf-decibel-v3-updater' ) => 'center',
				__( 'left', 'wolf-decibel-v3-updater' ) => 'left',
				__( 'right', 'wolf-decibel-v3-updater' ) => 'right',
			),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Text alignment', 'wolf-decibel-v3-updater' ),
			'param_name' => 'text_alignment',
			'value' => array(
				__( 'center', 'wolf-decibel-v3-updater' ) => 'center',
				__( 'left', 'wolf-decibel-v3-updater' ) => 'left',
				__( 'right', 'wolf-decibel-v3-updater' ) => 'right',
			),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image_style',
			'value' => array(
				__( 'default', 'wolf-decibel-v3-updater' ) => 'default',
				__( 'rounded', 'wolf-decibel-v3-updater' ) => 'round',
				__( 'shadow', 'wolf-decibel-v3-updater' ) => 'shadow',
			),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Text', 'wolf-decibel-v3-updater' ),
			'param_name' => 'text',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Tagline', 'wolf-decibel-v3-updater' ),
			'param_name' => 'secondary_text',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Tag', 'wolf-decibel-v3-updater' ),
			'param_name' => 'text_tag',
			'value' => array(
				'span' => 'span',
				'h5' => 'h5',
				'h4' => 'h4',
				'h3' => 'h3',
				'h2' => 'h2',
				'h1' => 'h1',
			),
			// 'description' => '',
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Text color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'text_color',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Overlay color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'overlay_color',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Overlay opacity in percent', 'wolf-decibel-v3-updater' ),
			'param_name' => 'overlay_opacity',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'vc_link',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Link', 'wolf-decibel-v3-updater' ),
			'param_name' => 'link',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => __( 'How the slider will appear on your page', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);

vc_map( $args );
