<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Pricing Tables
vc_map(
	array(
		'name' => __( 'Pricing tables', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_pricing_tables',
		'as_parent' => array('only' => 'wolf_pricing_table'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
		'content_element' => true,
		'category' => 'by WolfThemes',
		'icon' => wdv3_get_deprecated_icon(),
		'show_settings_on_create' => true,
		'deprecated' => '5.3',
		'params' => array(
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
				'param_name' => 'columns',
				'value' => array(
					'2' => '2',
					'3' => '3',
					'4' => '4',
				),
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		),
		'js_view' => 'VcColumnView'
	)
);

// Pricing table shortcode
vc_map(
	array(
		'name' => __( 'Pricing table', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_pricing_table',
		'icon' => wdv3_get_deprecated_icon(),
		'category' => 'by WolfThemes',
		'allowed_container_element' => 'vc_row',
		'as_child' => array('only' => 'wolf_pricing_tables'), // Use only|except attributes to limit parent (separate multiple values with comma)
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Title', 'wolf-decibel-v3-updater' ),
				'param_name' => 'title',
				'value' => __( 'Basic Plan', 'wolf-decibel-v3-updater' ),
				'description' => ''
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Title tag', 'wolf-decibel-v3-updater' ),
				'param_name' => 'title_tag',
				'value' => array(
					'h3' => 'h3',
					'h1' => 'h1',
					'h2' => 'h2',
					'h4' => 'h4',
					'h5' => 'h5',
					'h6' => 'h6',
				),
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Tagline', 'wolf-decibel-v3-updater' ),
				'param_name' => 'tagline',
				'value' => '',
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Price', 'wolf-decibel-v3-updater' ),
				'param_name' => 'price',
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Currency', 'wolf-decibel-v3-updater' ),
				'param_name' => 'currency',
				'description' => ''
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Display currency', 'wolf-decibel-v3-updater' ),
				'param_name' => 'display_currency',
				'value' => array(
					__( 'before', 'wolf-decibel-v3-updater' ) => 'before',
					__( 'after', 'wolf-decibel-v3-updater' ) => 'after'
				),
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Offer', 'wolf-decibel-v3-updater' ),
				'param_name' => 'offer',
				'value' => array(
					__( 'no', 'wolf-decibel-v3-updater' ) => 'no',
					__( 'yes', 'wolf-decibel-v3-updater' ) => 'yes',
				),
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Offer price', 'wolf-decibel-v3-updater' ),
				'param_name' => 'offer_price',
				'description' => '',
				'dependency' => array('element' => 'offer', 'value' => 'yes')
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Price period (e.g "monthly" or "per month")', 'wolf-decibel-v3-updater' ),
				'param_name' => 'price_period',
				'description' => ''
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Show button', 'wolf-decibel-v3-updater' ),
				'param_name' => 'show_button',
				'value' => array(
					__( 'yes', 'wolf-decibel-v3-updater' ) => 'yes',
					__( 'no', 'wolf-decibel-v3-updater' ) => 'no'
				),
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Button text', 'wolf-decibel-v3-updater' ),
				'param_name' => 'button_text',
				'description' => '',
				'dependency' => array('element' => 'show_button', 'value' => 'yes')
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Button link', 'wolf-decibel-v3-updater' ),
				'param_name' => 'link',
				'dependency' => array('element' => 'show_button', 'value' => 'yes')
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Button target', 'wolf-decibel-v3-updater' ),
				'param_name' => 'target',
				'value' => array(
					'' => '',
					'Self' => '_self',
					'Blank' => '_blank',
					'Parent' => '_parent'
				),
				'dependency' => array('element' => 'show_button', 'value' => 'yes')
			),
			// array(
			// 	'type' => 'dropdown',
			// 	'admin_label' => true,
			// 	'class' => '',
			// 	'heading' => __( 'Button text', 'wolf-decibel-v3-updater' ),
			// 	'param_name' => 'button_size',
			// 	'value' => array(
			// 		'' => '',
			// 		'Small' => 'small',
			// 		'Medium' => 'medium',
			// 		'Large' => 'large',
			// 	),
			// 	'dependency' => array('element' => 'show_button', 'value' => 'yes')
			// ),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Featured', 'wolf-decibel-v3-updater' ),
				'param_name' => 'active',
				'value' => array(
					__( 'no', 'wolf-decibel-v3-updater' ) => 'no',
					__( 'yes', 'wolf-decibel-v3-updater' ) => 'yes',
				),
				'description' => '',
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Featured text', 'wolf-decibel-v3-updater' ),
				'param_name' => 'active_text',
				'dependency' => array('element' => 'active', 'value' => 'yes'),
			),
			array(
				'type' => 'textarea_html',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Content', 'wolf-decibel-v3-updater' ),
				'param_name' => 'content',
				'value' => '<li>content content content</li><li>content content content</li><li>content content content</li>',
				'description' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
				'description' => '',
				'param_name' => 'animation',
				'value' => wdv3u_vc_get_animations(),
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
				'param_name' => 'animation_delay',
				'value' => '',
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
				'param_name' => 'inline_style',
				'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
				'param_name' => 'class',
				'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
				'value' => '',
			),
		),
	)
);

//Your 'container' content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_Wolf_Pricing_Tables extends WPBakeryShortCodesContainer {}
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Wolf_Pricing_Table extends WPBakeryShortCode {}
}
