<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Row
vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Content type', 'wolf-decibel-v3-updater' ),
	'param_name' => 'content_type',
	'value' => array(
		sprintf( __( 'Standard width (%s centered)', 'wolf-decibel-v3-updater' ), '1140px' ) => 'standard',
		sprintf( __( 'Small width (%s centered)', 'wolf-decibel-v3-updater' ), '750px' ) => 'small',
		sprintf( __( 'Large width (%s centered)', 'wolf-decibel-v3-updater' ), '98%' ) => 'large',
		sprintf( __( 'Full width (%s)', 'wolf-decibel-v3-updater' ), '100%' ) => 'full',
	)
) );

vc_add_param( 'vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => __( 'Anchor', 'wolf-decibel-v3-updater' ),
	'param_name' => 'anchor',
	'description' => __( 'example "about"', 'wolf-decibel-v3-updater' ),
	'value' => '',
) );

// vc_add_param( 'vc_row', array(
// 	'type' => 'checkbox',
// 	'class' => '',
// 	'show_settings_on_create' => true,
// 	'heading' => '',
// 	'param_name' => 'no_padding',
// 	'value' => array( __( 'No Padding', 'wolf-decibel-v3-updater' ) => true ),
// ) );

vc_add_param( 'vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => __( 'Padding top', 'wolf-decibel-v3-updater' ),
	'param_name' => 'padding_top',
	'description' => '',
	'value' => '',
) );

vc_add_param( 'vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => __( 'Padding bottom', 'wolf-decibel-v3-updater' ),
	'param_name' => 'padding_bottom',
	'description' => '',
	'value' => '',
) );


vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Skin', 'wolf-decibel-v3-updater' ),
	'param_name' => 'font_type',
	'value' => array(
		__( 'Light', 'wolf-decibel-v3-updater' ) => 'dark',
		__( 'Dark', 'wolf-decibel-v3-updater' ) => 'light',
	),
) );

vc_add_param( 'vc_row', array(
	'type' => 'checkbox',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => '',
	'param_name' => 'full_screen',
	'value' => array( __( 'Full screen', 'wolf-decibel-v3-updater' ) => true ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Background type', 'wolf-decibel-v3-updater' ),
	'param_name' => 'background_type',
	'value' => array(
		__( 'Image', 'wolf-decibel-v3-updater' ) => 'image',
		__( 'Video', 'wolf-decibel-v3-updater' ) => 'video',
	),
) );

vc_add_param( 'vc_row', array(
	'type' => 'colorpicker',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Background color', 'wolf-decibel-v3-updater' ),
	'param_name' => 'background_color',
	'value' => '',
) );

vc_add_param( 'vc_row', array(
	'type' => 'attach_image',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Background image', 'wolf-decibel-v3-updater' ),
	'param_name' => 'background_image',
	'value' => '',
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'image' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Background position', 'wolf-decibel-v3-updater' ),
	'param_name' => 'background_position',
	'value' => array(
		__( 'center center', 'wolf-decibel-v3-updater' ) => 'center center',
		__( 'center top', 'wolf-decibel-v3-updater' )  => 'center top',
		__( 'left top', 'wolf-decibel-v3-updater' ) => 'left top',
		__( 'right top', 'wolf-decibel-v3-updater' )  => 'right top',
		__( 'center bottom', 'wolf-decibel-v3-updater' )  => 'center bottom',
		__( 'left bottom', 'wolf-decibel-v3-updater' )  => 'left bottom',
		__( 'right bottom', 'wolf-decibel-v3-updater' ) => 'right bottom',
		__( 'left center', 'wolf-decibel-v3-updater' ) => 'left center',
		__( 'right center', 'wolf-decibel-v3-updater' ) => 'right center',
	),
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'image' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Background repeat', 'wolf-decibel-v3-updater' ),
	'param_name' => 'background_repeat',
	'value' => array(
		__( 'no repeat', 'wolf-decibel-v3-updater' ) => 'no-repeat',
		__( 'repeat', 'wolf-decibel-v3-updater' ) => 'repeat',
		__( 'repeat-x', 'wolf-decibel-v3-updater' ) => 'repeat-x',
		__( 'repeat-y', 'wolf-decibel-v3-updater' ) => 'repeat-y',
	),
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'image' ) ),
) );

// vc_add_param( 'vc_row', array(
// 	'type' => 'dropdown',
// 	'class' => '',
// 	'show_settings_on_create' => true,
// 	'heading' => __( 'Background Attachment', 'wolf-decibel-v3-updater' ),
// 	'param_name' => 'background_attachment',
// 	'value' => array(
// 		__( 'scroll', 'wolf-decibel-v3-updater' ) => 'scroll',
// 		__( 'fixed', 'wolf-decibel-v3-updater' ) => 'fixed',
// 	),
// 	'dependency' => array( 'element' => 'background_type', 'value' => array( 'image' ) ),
// ) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Background size', 'wolf-decibel-v3-updater' ),
	'param_name' => 'background_size',
	'value' => array(
		__( 'cover', 'wolf-decibel-v3-updater' ) => 'cover',
		__( 'default', 'wolf-decibel-v3-updater' ) => 'default',
		__( 'resize', 'wolf-decibel-v3-updater' ) => 'resize',
	),
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'image' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'checkbox',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => '',
	'param_name' => 'parallax',
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'image' ) ),
	'value' => array( 'Parallax' => true ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Video Background type', 'wolf-decibel-v3-updater' ),
	'param_name' => 'video_bg_type',
	'value' => array(
		'Youtube' => 'youtube',
		__( 'Self hosted', 'wolf-decibel-v3-updater' ) => 'selfhosted',
	),
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'video' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => __( 'Youtube URL', 'wolf-decibel-v3-updater' ),
	'param_name' => 'video_bg_youtube_url',
	'description' => '',
	'value' => '',
	'dependency' => array(
		'element' => 'background_type',
		'value' => array( 'video' )
	),
) );

vc_add_param( 'vc_row', array(
	'type' => 'single_file',
	'class' => '',
	'heading' => __( 'Video background mp4', 'wolf-decibel-v3-updater' ),
	'param_name' => 'video_bg_mp4',
	'description' => '',
	'value' => '',
	'dependency' => array(
		'element' => 'background_type',
		'value' => array( 'video' )
	),
) );

vc_add_param( 'vc_row', array(
	'type' => 'single_file',
	'class' => '',
	'heading' => __( 'Video background webm', 'wolf-decibel-v3-updater' ),
	'param_name' => 'video_bg_webm',
	'description' => '',
	'value' => '',
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'video' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'single_file',
	'class' => '',
	'heading' => __( 'Video background ogv/ogg', 'wolf-decibel-v3-updater' ),
	'param_name' => 'video_bg_ogv',
	'description' => '',
	'value' => '',
	'dependency' => array( 'element' => 'background_type', 'value' => array( 'video' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'attach_image',
	'class' => '',
	'heading' => __( 'Video Image Fallback', 'wolf-decibel-v3-updater' ),
	'param_name' => 'video_bg_img',
	'description' => '',
	'value' => '',
	'dependency' => array(
		'element' => 'background_type',
		'value' => array( 'video' )
	),
) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Add overlay', 'wolf-decibel-v3-updater' ),
	'param_name' => 'overlay',
	'value' => array(
		__( 'No', 'wolf-decibel-v3-updater' ) => '',
		__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
	),
) );

vc_add_param( 'vc_row', array(
	'type' => 'colorpicker',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Overlay color', 'wolf-decibel-v3-updater' ),
	'param_name' => 'overlay_color',
	'value' => '#000000',
	'dependency' => array( 'element' => 'overlay', 'value' => array( 'yes' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'attach_image',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Overlay pattern', 'wolf-decibel-v3-updater' ),
	'param_name' => 'overlay_image',
	'value' => '',
	'dependency' => array( 'element' => 'overlay', 'value' => array( 'yes' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => __( 'Overlay opacity in percent', 'wolf-decibel-v3-updater' ),
	'param_name' => 'overlay_opacity',
	'description' => '',
	'value' => 40,
	'dependency' => array( 'element' => 'overlay', 'value' => array( 'yes' ) ),
) );

vc_add_param( 'vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'show_settings_on_create' => true,
	'heading' => __( 'Visibility for devices', 'wolf-decibel-v3-updater' ),
	'param_name' => 'hide_class',
	'value' => array(
		__( 'Always visible', 'wolf-decibel-v3-updater' ) => '',
		__( 'Hide on tablet and mobile', 'wolf-decibel-v3-updater' ) => 'hide-tablet',
		__( 'Hide on mobile', 'wolf-decibel-v3-updater' ) => 'hide-mobile',
		__( 'Show on tablet and mobile only', 'wolf-decibel-v3-updater' ) => 'show-tablet',
		__( 'Show on mobile only', 'wolf-decibel-v3-updater' ) => 'show-mobile',
	),
) );

// vc_add_param( 'vc_row', array(
// 	'type' => 'textfield',
// 	'class' => '',
// 	'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
// 	'param_name' => 'inline_style',
// 	'description' => '',
// 	'value' => '',
// ) );
