<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


$args = array(

	'name' => __( 'Services table', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_services_table',
	'icon' => wdv3_get_deprecated_icon(),
	'category' => 'by WolfThemes',
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Background color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'bg_color',
			'description' => '',
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Font color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'font_color',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Title', 'wolf-decibel-v3-updater' ),
			'param_name' => 'title',
			'description' => '',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Title tag', 'wolf-decibel-v3-updater' ),
			'param_name' => 'title_tag',
			'value' => array(
				'h3' => 'h3',
				'h1' => 'h1',
				'h2' => 'h2',
				'h4' => 'h4',
				'h5' => 'h5',
				'h6' => 'h6',
			),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Title color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'title_color',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Add icon', 'wolf-decibel-v3-updater' ),
			'param_name' => 'add_icon',
			'value' => array(
				__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes'
			),
			'description' => __( 'Select Yes if you want to add an icon in your button', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'searchable',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Icon', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon',
			'value' => $icons_inverted_array,
			'description' => '',
			'dependency' => array( 'element' => 'add_icon', 'value' => array( 'yes' ) ),
		),

		array(
			'type' => 'colorpicker',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Icon color', 'wolf-decibel-v3-updater' ),
			'param_name' => 'icon_color',
			'description' => '',
			'dependency' => array( 'element' => 'add_icon', 'value' => array( 'yes' ) ),
		),


		array(
			'type' => 'textarea_html',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Services', 'wolf-decibel-v3-updater' ),
			'param_name' => 'content',
			'value' => '<li>content content content</li><li>content content content</li><li>content content content</li>',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => '',
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);

vc_map( $args );
