<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$args = array(

	'name' => __( 'Single image', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_single_image',
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'attach_image',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image alignment', 'wolf-decibel-v3-updater' ),
			'param_name' => 'alignment',
			'value' => array(
				__( 'center', 'wolf-decibel-v3-updater' ) => 'center',
				__( 'left', 'wolf-decibel-v3-updater' ) => 'left',
				__( 'right', 'wolf-decibel-v3-updater' ) => 'right',
			),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image_style',
			'value' => array(
				__( 'default', 'wolf-decibel-v3-updater' ) => 'default',
				__( 'rounded', 'wolf-decibel-v3-updater' ) => 'round',
				__( 'shadow', 'wolf-decibel-v3-updater' ) => 'shadow',
			),
		),

		array(
			'type' => 'checkbox',
			'class' => '',
			'show_settings_on_create' => true,
			'heading' => '',
			'param_name' => 'full_size',
			'value' => array( __( 'Link to full size image', 'wolf-decibel-v3-updater' ) => true ),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image link', 'wolf-decibel-v3-updater' ),
			'param_name' => 'link',
			'value' => 'http://',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Link target', 'wolf-decibel-v3-updater' ),
			'param_name' => 'target',
			'value' => array(
				'_self' => '_self',
				'_blank' => '_blank',
			),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Hover effect', 'wolf-decibel-v3-updater' ),
			'param_name' => 'hover_effect',
			'value' => array(
				__( 'None', 'wolf-decibel-v3-updater' ) => 'none',
				__( 'Default', 'wolf-decibel-v3-updater' ) => 'default',
				__( 'Black and white to colored', 'wolf-decibel-v3-updater' ) => 'greyscale',
				__( 'Colored to Black and white', 'wolf-decibel-v3-updater' ) => 'to-greyscale',
				__( 'Scale + Black and white to colored', 'wolf-decibel-v3-updater' ) => 'scale-greyscale',
				__( 'Scale + Colored to Black and white', 'wolf-decibel-v3-updater' ) => 'scale-to-greyscale',
			),
			'description' => __( 'Note that not all browser support the black and white effect', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image size', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image_size',
			'value' => array(
				__( 'Large', 'wolf-decibel-v3-updater' ) => 'large',
				__( 'Medium', 'wolf-decibel-v3-updater' ) => 'medium',
				__( 'Thumbnail', 'wolf-decibel-v3-updater' ) => 'thumbnail',
				__( 'Square', 'wolf-decibel-v3-updater' ) => '2x2',
				__( 'Portrait', 'wolf-decibel-v3-updater' ) => 'portrait',
				__( 'Extra Large', 'wolf-decibel-v3-updater' ) => 'extra-large',
			),
			'description' => __( 'You can set the "large", "medium" and "thumbnail" sizes in the WP media settings ', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => __( 'How the slider will appear on your page', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);

vc_map( $args );
