<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$args = array(

	'name' => __( 'Social icons', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_theme_socials',
	'icon' => wdv3_get_deprecated_icon(),
	'category' => 'by WolfThemes',
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => __( 'Services', 'wolf-decibel-v3-updater' ) . '*',
			'param_name' => 'services',
			'description' => __( 'Enter the service names separated by a comma. e.g "twitter, facebook, instagram".<br>Leave empty to display them all.<br>* See the social networks available in the theme options.', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Type', 'wolf-decibel-v3-updater' ),
			'param_name' => 'type',
			'value' => array(
				__( 'Normal', 'wolf-decibel-v3-updater' ) => 'normal',
				__( 'Circle', 'wolf-decibel-v3-updater' ) => 'circle',
				__( 'Square', 'wolf-decibel-v3-updater' ) => 'square'
			),
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Size', 'wolf-decibel-v3-updater' ),
			'param_name' => 'size',
			'value' => array(
				__( 'Medium', 'wolf-decibel-v3-updater' ) => '2x',
				__( 'Small', 'wolf-decibel-v3-updater' ) => '1x',
				__( 'Large', 'wolf-decibel-v3-updater' ) => '3x',
				__( 'Very Large', 'wolf-decibel-v3-updater' ) => '4x',
			),
			// 'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Target', 'wolf-decibel-v3-updater' ),
			'param_name' => 'target',
			'value' => array(
				''   => '',
				'Self' => '_self',
				'Blank' => '_blank',
				'Parent' => '_parent',
			),
			'description' => '',
		),

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Hover transition', 'wolf-decibel-v3-updater' ),
			'param_name' => 'hover_effect',
			'value' => array(
				__( 'Normal', 'wolf-decibel-v3-updater' ) => 'none',
				__( 'Fill in', 'wolf-decibel-v3-updater' ) => 'fill-in',
			),
			'description' => __( 'Custom hover effects won\'t apply to icon with custom colors settings', 'wolf-decibel-v3-updater' ),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => '',
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	)
);

vc_map( wolf_inject_vc_params( wdv3u_vc_get_custom_colors(), $args ) );
