<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$args = array(
	'name' => __( 'Team member', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_team_member',
	'icon' => wdv3_get_deprecated_icon(),
	'category' => 'by WolfThemes',
	'allowed_container_element' => 'vc_row',
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'attach_image',
			'class' => '',
			'heading' => __( 'Photo', 'wolf-decibel-v3-updater' ),
			'param_name' => 'photo',
			'description' => sprintf( __( 'Minimum %s recommended', 'wolf-decibel-v3-updater' ), '960x960px' ),
			'value' => '',
		),

		array(
			'type' => 'vc_link',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Link', 'wolf-decibel-v3-updater' ),
			'param_name' => 'link',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Image style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'image_style',
			'value' => array(
				__( 'default', 'wolf-decibel-v3-updater' ) => 'default',
				__( 'portrait', 'wolf-decibel-v3-updater' ) => 'portrait',
				__( 'square', 'wolf-decibel-v3-updater' ) => '2x2',
				__( 'rounded', 'wolf-decibel-v3-updater' ) => 'round',
			),
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Text alignment', 'wolf-decibel-v3-updater' ),
			'param_name' => 'alignment',
			'value' => array(
				__( 'center', 'wolf-decibel-v3-updater' ) => 'center',
				__( 'left', 'wolf-decibel-v3-updater' ) => 'left',
				__( 'right', 'wolf-decibel-v3-updater' ) => 'right',
			),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Name', 'wolf-decibel-v3-updater' ),
			'param_name' => 'name',
			'description' => '',
			'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Title tag', 'wolf-decibel-v3-updater' ),
			'param_name' => 'title_tag',
			'value' => array(
				'h3' => 'h3',
				'h1' => 'h1',
				'h2' => 'h2',
				'h4' => 'h4',
				'h5' => 'h5',
				'h6' => 'h6',
			),
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Role', 'wolf-decibel-v3-updater' ),
			'param_name' => 'role',
			'description' => '',
			'value' => '',
		),

		array(
			'type' => 'textarea',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Description', 'wolf-decibel-v3-updater' ),
			'param_name' => 'tagline',
			'description' => '',
			//'value' => '',
		),

		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => '',
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
			'description' => '',
		),

		array(
			'type' => 'textfield',
			'admin_label' => true,
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => '',
		),
	)
);

$team_member_socials = ( function_exists( 'wvc_get_team_member_socials' ) ) ? wvc_get_team_member_socials() : array(
	'facebook', 'twitter', 'instagram'
);

foreach ( $team_member_socials as $social ) {
	$add = array(
		'type' => 'textfield',
		'admin_label' => true,
		'class' => '',
		'heading' => $social,
		'param_name' => $social,
		'description' => '',
		'value' => '',
	);

	array_push( $args['params'], $add);
}

vc_map( $args );