<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Testimonial Container
$args = array(
	'name' => __( 'Testimonials', 'wolf-decibel-v3-updater' ),
	'base' => 'wolf_testimonials',
	'as_parent' => array('only' => 'wolf_testimonial'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
	'content_element' => true,
	'category' => 'by WolfThemes',
	'icon' => wdv3_get_deprecated_icon(),
	'show_settings_on_create' => true,
	'deprecated' => '5.3',
	'params' => array(

		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
			'description' => __( 'How the slider will appear on your page', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation',
			'value' => wdv3u_vc_get_animations(),
		),

		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => __( 'Animation delay (in ms)', 'wolf-decibel-v3-updater' ),
			'param_name' => 'animation_delay',
			'value' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
			'param_name' => 'inline_style',
			'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),

		array(
			'type' => 'textfield',
			//'admin_label' => true,
			'class' => '',
			'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
			'param_name' => 'class',
			'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
			'value' => '',
		),
	),
	'js_view' => 'VcColumnView',

);
vc_map( wolf_inject_vc_params( wdv3u_vc_get_slider_settings(), $args ) );

// Testimonials
vc_map(
	array(
		'name' => __( 'Testimonial', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_testimonial',
		'icon' => wdv3_get_deprecated_icon(),
		'category' => 'by WolfThemes',
		'allowed_container_element' => 'vc_row',
		'as_child' => array('only' => 'wolf_testimonials'), // Use only|except attributes to limit parent (separate multiple values with comma)
		'params' => array(
			array(
				'type' => 'textarea',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Content', 'wolf-decibel-v3-updater' ),
				'param_name' => 'content',
				'value' => '',
				'description' => '',
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Signature', 'wolf-decibel-v3-updater' ),
				'param_name' => 'name',
				'value' => '',
				'description' => ''
			),

			array(
				'type' => 'attach_image',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Avatar', 'wolf-decibel-v3-updater' ),
				'param_name' => 'avatar',
				'value' => '',
				'description' => '',
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Link', 'wolf-decibel-v3-updater' ),
				'param_name' => 'link',
				'value' => '',
				'description' => ''
			),
		),
	)
);

//Your 'container' content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_Wolf_Testimonials extends WPBakeryShortCodesContainer {}
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Wolf_Testimonial extends WPBakeryShortCode {}
}