<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( class_exists( 'Wolf_Facebook_Page_Box' ) ) {
	// Facebook Box Shortcode
	vc_map(
		array(
			'name' => 'Facebook Page Box',
			'base' => 'wolf_facebook_page_box',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'allowed_container_element' => 'vc_row',
			'deprecated' => '5.3',
			//'deprecated' => '5.3',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Page URL', 'wolf-decibel-v3-updater' ),
					'param_name' => 'page_url',
					'description' => '',
					'value' => 'https://www.facebook.com/facebook',
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Height', 'wolf-decibel-v3-updater' ),
					'param_name' => 'height',
					'description' => '',
					'value' => 400,
				),

				array(
					'type' => 'dropdown',
					'heading' => __( 'Hide cover', 'wolf-decibel-v3-updater' ),
					'param_name' => 'hide_cover',
					'description' => '',
					'value' => array(
						__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
					),
				),

				array(
					'type' => 'dropdown',
					'heading' => __( 'Show posts', 'wolf-decibel-v3-updater' ),
					'param_name' => 'show_posts',
					'description' => '',
					'value' => array(
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
						__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
					),
				),

				array(
					'type' => 'dropdown',
					'heading' => __( 'Show faces', 'wolf-decibel-v3-updater' ),
					'param_name' => 'show_faces',
					'description' => '',
					'value' => array(
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
						__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
					),
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_Twitter' ) ) {
	// Twitter Shortcode
	vc_map(
		array(
			'name' => __( 'Last tweets', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_tweet',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'allowed_container_element' => 'vc_row',
			'deprecated' => '5.3',
			'deprecated' => '5.3',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Username', 'wolf-decibel-v3-updater' ),
					'param_name' => 'username',
					'description' => '',
					'value' => '',
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Type', 'wolf-decibel-v3-updater' ),
					'param_name' => 'type',
					'description' => '',
					'value' => array(
						__( 'single', 'wolf-decibel-v3-updater' ) => 'single',
						__( 'list', 'wolf-decibel-v3-updater' ) => 'list',
					),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'list' ) ),
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_Instagram' ) ) {
	// Instagram Shortcode
	vc_map(
		array(
			'name' => __( 'Last Grams', 'wolf-decibel-v3-updater' ),
			'base' => 'wolfgram_gallery',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(
				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => '',
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_Portfolio' ) ) {
	// Portfolio Shortcode
	vc_map(
		array(
			'name' => __( 'Last works', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_last_posts_work',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
					'param_name' => 'layout',
					'description' => '',
					'value' => array(
						__( 'classic', 'wolf-decibel-v3-updater' ) => 'classic',
						__( 'grid', 'wolf-decibel-v3-updater' ) => 'grid',
						__( 'square grid', 'wolf-decibel-v3-updater' ) => 'grid-square',
						//__( 'masonry', 'wolf-decibel-v3-updater' ) => 'masonry',
						__( 'modern', 'wolf-decibel-v3-updater' ) => 'modern',
					),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 3,
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
					'param_name' => 'col',
					'description' => '',
					'value' => array( 3,2,4 ),
					'dependency' => array(
						'element' => 'layout', 'value' => array( 'classic', 'grid', 'grid-square', 'masonry' )
					),
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Display in carousel', 'wolf-decibel-v3-updater' ),
					'param_name' => 'carousel',
					'description' => '',
					'value' => array(
						__( 'No', 'wolf-decibel-v3-updater' ) => '',
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
					),
					'dependency' => array( 'element' => 'layout', 'value' => array( 'grid', 'grid-square' ) ),
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Padding', 'wolf-decibel-v3-updater' ),
					'param_name' => 'padding',
					'value' => array(
						__( 'yes', 'wolf-decibel-v3-updater' ) => 'yes',
						__( 'no', 'wolf-decibel-v3-updater' ) => 'no',
					),
					'dependency' => array( 'element' => 'layout', 'value' => array( 'classic', 'grid', 'grid-square', 'masonry' ) ),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Category', 'wolf-decibel-v3-updater' ),
					'param_name' => 'category',
					'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
					'description' => '',
					'param_name' => 'animation',
					'value' => wdv3u_vc_get_animations(),
					'description' => '',
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_Videos' ) ) {
	// Video Shortcode
	vc_map(
		array(
			'name' => __( 'Last videos', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_last_posts_video',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 4,
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
					'param_name' => 'col',
					'description' => '',
					'value' => array( 4,3,2 ),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Category', 'wolf-decibel-v3-updater' ),
					'param_name' => 'category',
					'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'heading' => __( 'Padding', 'wolf-decibel-v3-updater' ),
					'param_name' => 'padding',
					'value' => array(
						__( 'yes', 'wolf-decibel-v3-updater' ) => 'yes',
						__( 'no', 'wolf-decibel-v3-updater' ) => 'no',
					),
					'dependency' => array( 'element' => 'layout', 'value' => array( 'classic', 'grid', 'grid-square', 'masonry' ) ),
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
					'description' => '',
					'param_name' => 'animation',
					'value' => wdv3u_vc_get_animations(),
					'description' => '',
				),
			)
		)
	);

	vc_map(
		array(
			'name' => __( 'Videos carousel', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_last_videos_carousel',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 4,
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Category', 'wolf-decibel-v3-updater' ),
					'param_name' => 'category',
					'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Inline style', 'wolf-decibel-v3-updater' ),
					'param_name' => 'inline_style',
					'description' => __( 'Additional inline CSS style', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Extra class', 'wolf-decibel-v3-updater' ),
					'param_name' => 'class',
					'description' => __( 'Optional additional CSS class to add to the element', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_Albums' ) ) {
	// Albums Shortcode
	vc_map(
		array(
			'name' => __( 'Last galleries', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_last_albums',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 4,
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
					'param_name' => 'col',
					'description' => '',
					'value' => array( 4,3,2 ),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Category', 'wolf-decibel-v3-updater' ),
					'param_name' => 'category',
					'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Animation', 'wolf-decibel-v3-updater' ),
					'description' => '',
					'param_name' => 'animation',
					'value' => wdv3u_vc_get_animations(),
					'description' => '',
				),

			)
		)
	);

	// Last Photos Shortcode
	vc_map(
		array(
			'name' => __( 'Last photos widget', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_last_photos_widget',
			'category' => 'by WolfThemes',
			'deprecated' => '5.3',
			'icon' => wdv3_get_deprecated_icon(),
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 4,
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_jPlayer' ) ) {

	global $wpdb;
	$wolf_jplayer_playlists_table = esc_sql( $wpdb->prefix . 'wolf_jplayer_playlists' );

	$playlists = $wpdb->get_results( "SELECT * FROM $wolf_jplayer_playlists_table" );

	$args = array();

	if ( $playlists ) {

		$args = array(
			'name' => 'jPlayer',
			'base' => 'wolf_jplayer_playlist',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Playlist', 'wolf-decibel-v3-updater' ),
					'param_name' => 'id',
					'description' => '',
					'value' => array(),
				),
			)
		);

		foreach ( $playlists as $p ) {
			$args['params'][0]['value'][ $p->name ] = $p->id;
		}

	} else {
		$args = array(
			'name' => 'jPlayer',
			'base' => 'wolf_jplayer_playlist',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Playlist', 'wolf-decibel-v3-updater' ),
					'param_name' => 'id',
					'description' => '',
					'value' => array( __( 'No playlist created yet', 'wolf-decibel-v3-updater' ) => 0 ),
				),
			)
		);
	}

	// jPlayer Shortcode
	vc_map( $args );
}

if ( class_exists( 'Wolf_Music_Network' ) ) {
	vc_map(
		array(
			'name' => 'Music network',
			'base' => 'wolf_music_network',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Height', 'wolf-decibel-v3-updater' ),
					'param_name' => 'height',
					'description' => '',
					'value' => 32,
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Alignment', 'wolf-decibel-v3-updater' ),
					'param_name' => 'align',
					'description' => '',
					'value' => array(
						__( 'Centered', 'wolf-decibel-v3-updater' ) => 'center',
						__( 'Left', 'wolf-decibel-v3-updater' ) => 'left',
						__( 'Right', 'wolf-decibel-v3-updater' ) => 'right',
					),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Services', 'wolf-decibel-v3-updater' ),
					'param_name' => 'services',
					'value' => '',
					'description' => 'separated by a comma (empty for all)'
				),

			)
		)
	);
}

if ( class_exists( 'Wolf_Tour_Dates' ) ) {
	vc_map(
		array(
			'name' => __( 'Tour Dates', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_tour_dates',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 10,
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Link to single show page', 'wolf-decibel-v3-updater' ),
					'param_name' => 'link',
					'description' => '',
					'value' => array(
						__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'true',
					),
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Display Past Shows', 'wolf-decibel-v3-updater' ),
					'param_name' => 'past',
					'description' => '',
					'value' => array(
						__( 'No', 'wolf-decibel-v3-updater' ) => 'false',
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'true',
					),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Artist slug', 'wolf-decibel-v3-updater' ),
					'param_name' => 'artist',
					'description' => '',
					'value' => '',
				),
			)
		)
	);

	vc_map(
		array(
			'name' => __( 'Upcoming Shows Widget', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_upcoming_shows_widget',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 10,
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Artist slug', 'wolf-decibel-v3-updater' ),
					'param_name' => 'artist',
					'description' => '',
					'value' => '',
				),
			)
		)
	);
}

if ( class_exists( 'Wolf_Discography' ) ) {
	// Discography Shortcode
	vc_map(
		array(
			'name' => __( 'Last releases', 'wolf-decibel-v3-updater' ),
			'base' => 'wolf_last_posts_release',
			'category' => 'by WolfThemes',
			'icon' => wdv3_get_deprecated_icon(),
			'deprecated' => '5.3',
			'allowed_container_element' => 'vc_row',
			'params' => array(

				/*array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Layout', 'wolf-decibel-v3-updater' ),
					'param_name' => 'layout',
					'description' => '',
					'value' => array(
						__( 'grid', 'wolf-decibel-v3-updater' ) => 'grid',
						__( 'classic', 'wolf-decibel-v3-updater' ) => 'classic',
					),
				),*/

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Count', 'wolf-decibel-v3-updater' ),
					'param_name' => 'count',
					'description' => '',
					'value' => 3,
				),

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
					'param_name' => 'col',
					'description' => '',
					'value' => array( 3,2,4 ),
				),

				/*array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Display in carousel', 'wolf-decibel-v3-updater' ),
					'param_name' => 'carousel',
					'description' => '',
					'value' => array(
						__( 'No', 'wolf-decibel-v3-updater' ) => '',
						__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
					),
				),*/

				array(
					'type' => 'dropdown',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Padding', 'wolf-decibel-v3-updater' ),
					'param_name' => 'padding',
					'value' => array(
						__( 'yes', 'wolf-decibel-v3-updater' ) => 'yes',
						__( 'no', 'wolf-decibel-v3-updater' ) => 'no',
					),
					'dependency' => array( 'element' => 'layout', 'value' => array( 'classic', 'grid', 'grid-square', 'masonry' ) ),
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Label', 'wolf-decibel-v3-updater' ),
					'param_name' => 'label',
					'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

				array(
					'type' => 'textfield',
					'admin_label' => true,
					'class' => '',
					'heading' => __( 'Band', 'wolf-decibel-v3-updater' ),
					'param_name' => 'band',
					'description' => __( 'Include only one or several categories. Paste category slug(s) separated by a comma', 'wolf-decibel-v3-updater' ),
					'value' => '',
				),

			)
		)
	);
}
