<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( function_exists( 'is_woocommerce' ) ) {

/* Order Tracking */
vc_map(
	array(
		'name' => __( 'Shop categories', 'wolf-decibel-v3-updater' ),
		'base' => 'wolf_woocommerce_categories',
		'icon' => wdv3_get_deprecated_icon(),
		'category' => 'by WolfThemes',
		'allowed_container_element' => 'vc_row',
		'deprecated' => '5.3',
		'params' => array(
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Type', 'wolf-decibel-v3-updater' ),
				'param_name' => 'layout',
				'description' => '',
				'value' => array(
					__( 'portrait', 'wolf-decibel-v3-updater' ) => 'portrait',
					__( 'classic', 'wolf-decibel-v3-updater' ) => 'classic-thumb',
					__( 'square', 'wolf-decibel-v3-updater' ) => 'square',
					__( 'mosaic', 'wolf-decibel-v3-updater' ) => 'mosaic',
				),
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Include', 'wolf-decibel-v3-updater' ),
				'param_name' => 'include',
				'description' => __( 'Category slug to include (separate by a comma)', 'wolf-decibel-v3-updater' )
			),

			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Exclude', 'wolf-decibel-v3-updater' ),
				'param_name' => 'exclude',
				'description' => __( 'Category slug to exclude (separate by a comma)', 'wolf-decibel-v3-updater' )
			),

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
				'param_name' => 'columns',
				'value' => array(
					3,1,2,4,5,6
				),
				'description' => '',
				'dependency' => array( 'element' => 'layout', 'value' => array( 'classic-thumb', 'portrait', 'square' ) ),
			),

			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Padding', 'wolf-decibel-v3-updater' ),
				'param_name' => 'padding',
				'value' => array(
					__( 'Yes', 'wolf-decibel-v3-updater' ) => 'yes',
					__( 'No', 'wolf-decibel-v3-updater' ) => 'no',
				),
				'description' => '',
				'dependency' => array( 'element' => 'layout', 'value' => array( 'classic-thumb', 'portrait', 'square' ) ),
			),
		)
	)
);

/* Order Tracking */
vc_map(
	array(
		'name' => __( 'Order Tracking', 'wolf-decibel-v3-updater' ),
		'base' => 'woocommerce_order_tracking',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		 'show_settings_on_create' => false
	)
);

/* Product price/cart button */
vc_map(
	array(
		'name' => __( 'Product price/cart button', 'wolf-decibel-v3-updater' ),
		'base' => 'add_to_cart',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => 'ID',
				'param_name' => 'id',
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => 'SKU',
				'param_name' => 'sku',
				'description' => ''
			)
		),
	)
);

/* Product by SKU/ID */
vc_map(
	array(
		'name' => __( 'Product by SKU/ID', 'wolf-decibel-v3-updater' ),
		'base' => 'product',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => 'ID',
				'param_name' => 'id',
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => 'SKU',
				'param_name' => 'sku',
				'description' => ''
			)
		)
	)
);


/* Products by SKU/ID */
vc_map(
	array(
		'name' => __( 'Products by SKU/ID', 'wolf-decibel-v3-updater' ),
		'base' => 'products',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => 'IDS',
				'param_name' => 'ids',
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => 'SKUS',
				'param_name' => 'skus',
				'description' => ''
			)
		)
	)
);

/* Product categories */
vc_map(
	array(
		'name' => __( 'Product categories', 'wolf-decibel-v3-updater' ),
		'base' => 'product_categories',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Number', 'wolf-decibel-v3-updater' ),
				'param_name' => 'number',
				'description' => ''
			)
		)
	)
);

/* Products by category slug */
vc_map(
	array(
		'name' => __( 'Products by category slug', 'wolf-decibel-v3-updater' ),
		'base' => 'product_category',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Category', 'wolf-decibel-v3-updater' ),
				'param_name' => 'category',
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Per page', 'wolf-decibel-v3-updater' ),
				'param_name' => 'per_page',
				'value' => '12'
			),
			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
				'param_name' => 'columns',
				'value' => array(
					4,3,2,
				),
				'description' => '',
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Order by', 'wolf-decibel-v3-updater' ),
				'param_name' => 'order_by',
				'value' => array(
					'Date' => 'date',
					'Title' => 'title',
				),
				'description' => ''
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Order', 'wolf-decibel-v3-updater' ),
				'param_name' => 'order',
				'value' => array(
					'DESC' => 'desc',
					'ASC' => 'asc'
				),
				'description' => ''
			)
		)
	)
);

/* Recent products */
vc_map(
	array(
		'name' => __( 'Recent products', 'wolf-decibel-v3-updater' ),
		'base' => 'recent_products',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Per page', 'wolf-decibel-v3-updater' ),
				'param_name' => 'per_page',
				'value' => '12'
			),
			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
				'param_name' => 'columns',
				'value' => array(
					4,3,2,
				),
				'description' => '',
			),

			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Order by', 'wolf-decibel-v3-updater' ),
				'param_name' => 'order_by',
				'value' => array(
					'Date' => 'date',
					'Title' => 'title',
				),
				'description' => ''
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Order', 'wolf-decibel-v3-updater' ),
				'param_name' => 'order',
				'value' => array(
					'DESC' => 'desc',
					'ASC' => 'asc'
				),
				'description' => ''
			),
		)
	)
);

/* Featured products */
vc_map(
	array(
		'name' => __( 'Featured products', 'wolf-decibel-v3-updater' ),
		'base' => 'featured_products',
		'icon' => 'wolf-vc-icon wolf-vc-woocommerce',
		'category' => 'WooCommerce',
		'allowed_container_element' => 'vc_row',
		'params' => array(
			array(
				'type' => 'textfield',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Per page', 'wolf-decibel-v3-updater' ),
				'param_name' => 'per_page',
				'value' => '12'
			),
			array(
				'type' => 'dropdown',
				'class' => '',
				'heading' => __( 'Columns', 'wolf-decibel-v3-updater' ),
				'param_name' => 'columns',
				'value' => array(
					4,3,2,
				),
				'description' => '',
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Order by', 'wolf-decibel-v3-updater' ),
				'param_name' => 'order_by',
				'value' => array(
					'Date' => 'date',
					'Title' => 'title',
				),
				'description' => ''
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'class' => '',
				'heading' => __( 'Order', 'wolf-decibel-v3-updater' ),
				'param_name' => 'order',
				'value' => array(
					'DESC' => 'desc',
					'ASC' => 'asc'
				),
				'description' => ''
			),
		)
	)
);


} // end woocommerce check