<?php
/**
 * Wolf Decibel Version 3 Updater frontend functions
 *
 * General functions available on frontend
 *
 * @author WolfThemes
 * @category Core
 * @package WolfDecibelVersion3Updater/Frontend
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( 'finished' === get_option( 'decibel_v3_update_status' ) ) {
	return;
}


/**
 * Fire on shortcode before the content is output
 *
 */
function wdv3u_the_content_filter_before_output( $content ) {

	$post_id = get_the_ID();

	if ( $post_id ) {
		$content = wdv3u_update_shortcodes_by_post_id( $post_id );
	}

	return $content;
}
add_filter( 'the_content', 'wdv3u_the_content_filter_before_output' );

/**
 * Fire on shortcode before the content is output
 */
function wdv3u_the_content_filter_after_output( $content ) {

	$search = array(
		'content-light-font',
		'content-dark-font',
	);

	$replace = array(
		'wvc-font-light',
		'wvc-font-dark',
		
	);

	$content = str_replace( $search, $replace, $content );

	return $content;

}
//add_filter( 'the_content', 'wdv3u_the_content_filter_after_output', 100 );