<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! function_exists( 'wolf_call_to_action') ) {
	/**
	 * Call to action
	 */
	function wolf_call_to_action( $atts, $content = null ) {

		if ( class_exists( 'Vc_Manager' ) && function_exists( 'vc_map_get_attributes' ) ) {
			$atts = vc_map_get_attributes( 'wolf_call_to_action', $atts );
		}

		extract( shortcode_atts( array(
			'main_text' => '',
			'main_tagline' => '',
			'title_tag' => 'h4',
			'url' => '#',
			'target' => '_self',
			'color' => '',
			'custom_style' => 'no',
			'size' => 'medium',
			'type' => 'square',
			'tagline' => '',
			'text' => '',
			'add_button_icon' => '',
			'icon' => '',
			'icon_position' => 'after',
			'custom_style' => 'no',
			'button_bg_color' => '',
			'button_font_color' => '',
			'button_border_color' => '',
			'button_bg_color_hover' => '',
			'button_font_color_hover' => '',
			'button_border_color_hover' => '',
			'scroll_to_anchor' => '',
			'inline_style' => '',
			'class' => '',
		), $atts ) );

		$style = '';
		$class = ( $class ) ? "$class " : ''; // add space
		$class .= "call-to-action clearfix";

		if ( $inline_style ) {
			$style .= $inline_style;
		}

		$style = ( $style ) ? " style='$style'" : '';

		$output = "<div class='$class'$style>";
		$output .= '<div class="call-to-action-text">';
		$output .= "<$title_tag class='call-to-action-title'>$main_text</$title_tag>";

		if ( $main_tagline )
			$output .= "<p>$main_tagline</p>";

		$output .= '</div>';
		$output .= '<div class="call-to-action-button">';
		$output .= wolf_do_button(
			$text,
			$url,
			$tagline,
			$color,
			$type,
			$size,
			$custom_style,
			$button_bg_color,
			$button_font_color,
			$button_border_color,
			$button_bg_color_hover,
			$button_font_color_hover,
			$button_border_color_hover,
			$add_button_icon,
			$icon,
			$icon_position,
			$target,
			$scroll_to_anchor
		);
		$output .= '</div>';
		$output .= '</div>';

		return $output;

	}
	add_shortcode( 'wolf_call_to_action', 'wolf_call_to_action' );
}