<?php

if ( ! function_exists( 'wolf_buttons_container_shortcode' ) ) {
	/**
	 * Buttons container shortcodes funciton
	 *
	 * @param
	 * @return string
	 */
	function wolf_buttons_container_shortcode( $atts, $content = null ) {

		if ( class_exists( 'Vc_Manager' ) && function_exists( 'vc_map_get_attributes' ) ) {
			$atts = vc_map_get_attributes( 'wolf_buttons_container', $atts );
		}
		
		extract( shortcode_atts( array(
			'alignment' => 'left',
			'margin_top' => '',
			'margin_bottom' => '',
			'animation' => '',
			'animation_delay' => '',
			'inline_style' => '',
			'class' => '',
		), $atts ) );

		$style = '';
		$class = ( $class ) ? "$class " : ''; // add space
		$class .= 'buttons-container';

		if ( $margin_top ) {
			$margin_top = is_numeric( $margin_top ) ? $margin_top . 'px' : $margin_top;
			$style .= "margin-top:$margin_top;";
		}

		if ( $margin_bottom ) {
			$margin_bottom = is_numeric( $margin_bottom ) ? $margin_bottom . 'px' : $margin_bottom;
			$style .= "margin-top:$margin_bottom;";
		}

		if ( $animation )
			$class .= " wow $animation";

		if ( $animation_delay && 'none' != $animation ) {
			$style .= 'animation-delay:' . absint( $animation_delay ) / 1000 . 's;-webkit-animation-delay:' . absint( $animation_delay ) / 1000 . 's;';
		}

		if ( $inline_style ) {
			$style .= $inline_style;
		}

		$style = ( $style ) ? " style='$style'" : '';

		$output = "<div class='$class text-$alignment'$style>";
		$output .= do_shortcode( $content );
		$output .= '</div>';
		return $output;
	}
	add_shortcode( 'wolf_buttons_container', 'wolf_buttons_container_shortcode' );

}

if ( ! function_exists( 'wolf_button') ) {
	/**
	 * Buttons
	 */
	function wolf_button( $atts, $content = null ) {

		if ( class_exists( 'Vc_Manager' ) && function_exists( 'vc_map_get_attributes' ) ) {
			$atts = vc_map_get_attributes( 'wolf_button', $atts );
		}

		extract( shortcode_atts( array(
			'url' => '#',
			'target' => '_self',
			'color' => '',
			'custom_style' => 'no',
			'size' => 'medium',
			'type' => 'square',
			'tagline' => '',
			'text' => '',
			'add_button_icon' => '',
			'icon' => '',
			'icon_position' => 'after',
			'custom_style' => 'no',
			'button_bg_color' => '',
			'button_font_color' => '',
			'button_border_color' => '',
			'button_bg_color_hover' => '',
			'button_font_color_hover' => '',
			'button_border_color_hover' => '',
			'alignment' => 'left',
			'scroll_to_anchor' => '',
			'inline_style' => '',
			'class' => '',
		), $atts ) );

		$container_class = "button-container";

		if ( 'very-large' == $size ) {
			$container_class .= ' very-large-button-container';
		}

		$output = "<span class='$container_class'>";

		$output .= wolf_do_button(
			$text,
			$url,
			$tagline,
			$color,
			$type,
			$size,
			$custom_style,
			$button_bg_color,
			$button_font_color,
			$button_border_color,
			$button_bg_color_hover,
			$button_font_color_hover,
			$button_border_color_hover,
			$add_button_icon,
			$icon,
			$icon_position,
			$target,
			$scroll_to_anchor,
			$inline_style,
			$class
		);

		$output .= '</span>';

		return $output;
	}
	add_shortcode( 'wolf_button', 'wolf_button' );
}