<?php

if ( ! defined( 'ABSPATH' ) ) { 
	exit; // Exit if accessed directly
}


if ( ! function_exists( 'single_file_settings_field' ) ) {
	/**
	 * We will create a custom attribute for videos & images
	 */
	function single_file_settings_field( $settings, $value ) {
		$output = '<div class="single_file_block">';
		$output .= '<input type="text" class="wpb_vc_param_value wpb-textinput '
			. $settings['param_name'].' '
			. $settings['type'].'_field" name="'
			. $settings['param_name'] . '" id="" value="' . esc_url( $value ) . '">';
		$output .= '<br><br>';
		$output .= '<a href="#" class="button wolf-options-reset-file">' . __( 'Clear', 'wolf-decibel-v3-updater' ) . '</a>';
		$output .= '<a href="#" class="button wolf-options-set-file">' . __( 'Choose a file', 'wolf-decibel-v3-updater' ) . '</a>';
		$output .= '</div>';
		return $output;
	}
	vc_add_shortcode_param( 'single_file', 'single_file_settings_field' );
}

if ( ! function_exists( 'single_image_settings_field' ) ) {
	/**
	 * Another custom attribute for a single image
	 *
	 * We will use it for background image
	 *
	 */
	function single_image_settings_field( $settings, $value ) {
		$img = null;
		$output = '<div class="single_image_block">';
		$output .= '<input type="hidden" class="wpb_vc_param_value wpb-textinput '
			. $settings['param_name'] . ' '
			. $settings['type'].'_field" name="'
			. $settings['param_name'] . '" id="" value="' . absint( $value ) . '">';
		$output .= '<img ';

		if ( ! $value ) {
			$output .= 'style="display:none;"';

		} else {
			$img = wdv3u_get_url_from_attachment_id( absint( $value ), 'thumbnail' );
		}

		$output .= ' class="wolf-options-img-preview" src="' . esc_url( $img ) .'" alt="' . $settings['param_name'] . '">';

		$output .= '<br>';
		$output .= '<a href="#" class="button wolf-options-reset-img">' . __( 'Clear', 'wolf-decibel-v3-updater' ) . '</a>';
		$output .= '<a href="#" class="button wolf-options-set-img">' . __( 'Choose an image', 'wolf-decibel-v3-updater' ) . '</a>';
		$output .= '</div>';
		return $output;
	}
	vc_add_shortcode_param( 'single_image', 'single_image_settings_field' );
}

if ( ! function_exists( 'searchable_settings_field' ) ) {
	/**
	 * We will create a custom attribute for videos & images
	 */
	function searchable_settings_field( $settings, $value ) {
		//$dependency = vc_generate_dependencies_attributes( $settings );
		//var_dump($value);
		$output = '<div class="searchable_block">';
		$output .= '<select class="wpb_vc_param_value wolf-searchable '
			. $settings['param_name'].' '
			. $settings['type'].'_field" name="'
			. $settings['param_name'] . '" id="" value="' . $value . '">';
		foreach ( $settings['value'] as $k => $v ) {
			$selected = ( $v == $value ) ? ' selected="selected"' : '';
			$output .= "<option value='$v'$selected>$k</option>";
		}
		$output .= '</select>';
		$output .= '</div>';
		return $output;
	}
	vc_add_shortcode_param( 'searchable', 'searchable_settings_field' );
}