<?php
/**
 * Decibel recommended plugins
 *
 * @package WordPress
 * @subpackage Decibel
 * @since Decibel 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//delete_user_meta( get_current_user_id(), 'tgmpa_dismissed_notice_tgmpa' );

/**
 * Add decibel updater plugins
 */
add_filter( 'decibel_recommended_plugins', function( $plugins ) {

	if ( get_option( 'wolf_theme_options_decibel' ) ) {

		$plugins[] = array(
			'name'    => esc_html__( 'Wolf Decibel Version 3 Updater', 'decibel' ),
			'slug'   => 'wolf-decibel-v3-updater',
			'source'   => 'http://plugins.wolfthemes.com/wolf-decibel-v3-updater/wolf-decibel-v3-updater.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-decibel-v3-updater/wolf-decibel-v3-updater.zip',
		);

		$plugins[] = array(
			'name' 		=> esc_html__( 'Force Regenerate Thumbnails', 'decibel' ),
			'slug' 		=> 'force-regenerate-thumbnails',
		);

	}

	return $plugins;
} );

/* Require TGM Plugin Activation class */
include_once( get_template_directory() . '/inc/admin/lib/class-tgm-plugin-activation.php' );

function wolf_theme_register_required_plugins() {

	$plugins = apply_filters( 'decibel_recommended_plugins', array(

		array(
			'name'    => esc_html__( 'WPBakery Page Builder', 'decibel' ),
			'slug'   => 'js_composer',
			'source' => 'js_composer.zip',
			'required' => true,
		),

		array(
			'name'    => esc_html__( 'Slider Revolution', 'decibel' ),
			'slug'   => 'revslider',
			'source'   => 'revslider.zip',
			'version' => '5.4.1',
		),

		array(
			'name'    => esc_html__( 'Wolf WPBakery Page Builder Extension', 'decibel' ),
			'slug'   => 'wolf-visual-composer',
			'source'   => 'http://plugins.wolfthemes.com/wolf-visual-composer/wolf-visual-composer.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-visual-composer/wolf-visual-composer.zip',
			'required' => true,
		),

		array(
			'name'    => esc_html__( 'Wolf WPBPB Content Blocks', 'decibel' ),
			'slug'   => 'wolf-vc-content-block',
			'source'   => 'http://plugins.wolfthemes.com/wolf-vc-content-block/wolf-vc-content-block.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-vc-content-block/wolf-vc-content-block.zip',
		),

		array(
			'name'    =>esc_html__( 'Wolf Playlist', 'decibel' ),
			'slug'   => 'wolf-playlist-manager',
			'source'   => 'http://plugins.wolfthemes.com/wolf-playlist-manager/wolf-playlist-manager.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-playlist-manager/wolf-playlist-manager.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Discography', 'decibel' ),
			'slug'   => 'wolf-discography',
			'source'   => 'http://plugins.wolfthemes.com/wolf-discography/wolf-discography.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-discography/wolf-discography.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Events', 'decibel' ),
			'slug'   => 'wolf-events',
			'source'   => 'http://plugins.wolfthemes.com/wolf-events/wolf-events.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-events/wolf-events.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Videos', 'decibel' ),
			'slug'   => 'wolf-videos',
			'source'   => 'http://plugins.wolfthemes.com/wolf-videos/wolf-videos.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-videos/wolf-videos.zip',
		),

		array(
			'name'    =>esc_html__( 'Wolf Albums', 'decibel' ),
			'slug'   => 'wolf-albums',
			'source'   => 'http://plugins.wolfthemes.com/wolf-albums/wolf-albums.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-albums/wolf-albums.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Share', 'decibel' ),
			'slug'   => 'wolf-share',
			'source'   => 'http://plugins.wolfthemes.com/wolf-share/wolf-share.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-share/wolf-share.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Metaboxes', 'decibel' ),
			'slug'   => 'wolf-metaboxes',
			'source'   => 'http://plugins.wolfthemes.com/wolf-metaboxes/wolf-metaboxes.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-metaboxes/wolf-metaboxes.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Twitter', 'decibel' ),
			'slug'   => 'wolf-twitter',
			'source'   => 'http://plugins.wolfthemes.com/wolf-twitter/wolf-twitter.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-twitter/wolf-twitter.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Instagram', 'decibel' ),
			'slug'   => 'wolf-gram',
			'source'   => 'http://plugins.wolfthemes.com/wolf-gram/wolf-gram.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-gram/wolf-gram.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf Video Thumbnail Generator', 'decibel' ),
			'slug'   => 'wolf-video-thumbnail-generator',
			'source'   => 'http://plugins.wolfthemes.com/wolf-video-thumbnail-generator/wolf-video-thumbnail-generator.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-video-thumbnail-generator/wolf-video-thumbnail-generator.zip',
		),

		array(
			'name' 		=> esc_html__( 'WooCommerce', 'decibel' ),
			'slug' 		=> 'woocommerce',
		),

		array(
			'name'    => esc_html__( 'Wolf WooCommerce Currency Switcher', 'decibel' ),
			'slug'   => 'wolf-woocommerce-currency-switcher',
			'source'   => 'http://plugins.wolfthemes.com/wolf-woocommerce-currency-switcher/wolf-woocommerce-currency-switcher.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-woocommerce-currency-switcher/wolf-woocommerce-currency-switcher.zip',
		),

		array(
			'name'    => esc_html__( 'Wolf WooCommerce Quickview', 'decibel' ),
			'slug'   => 'wolf-woocommerce-quickview',
			'source'   => 'http://plugins.wolfthemes.com/wolf-woocommerce-quickview/wolf-woocommerce-quickview.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-woocommerce-quickview/wolf-woocommerce-quickview.zip',
		),

		array(
			'name' 	=> esc_html__( 'WooCommerce Variation Swatches', 'decibel' ),
			'slug' => 'variation-swatches-for-woocommerce',
		),

		array(
			'name'    => esc_html__( 'Wolf WooCommerce Wishlist', 'decibel' ),
			'slug'   => 'wolf-woocommerce-wishlist',
			'source'   => 'http://plugins.wolfthemes.com/wolf-woocommerce-wishlist/wolf-woocommerce-wishlist.zip',
			'external_url' => 'http://plugins.wolfthemes.com/wolf-woocommerce-wishlist/wolf-woocommerce-wishlist.zip',
		),

		array(
			'name' 		=> esc_html__( 'Contact Form 7', 'decibel' ),
			'slug' 		=> 'contact-form-7',
		),

		array(
			'name' 		=> esc_html__( 'Widgets in Menu for WordPress', 'decibel' ),
			'slug' 		=> 'widgets-in-menu',
		),

		array(
			'name' 		=> esc_html__( 'Force Regenerate Thumbnails', 'decibel' ),
			'slug' 		=> 'force-regenerate-thumbnails',
		),

		array(
			'name' => esc_html__( 'Envato Market Items Updater', 'decibel' ),
			'slug' => 'envato-market',
			'source' => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'external_url' => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
		),

		array(
			'name' => esc_html__( 'One Click Demo Import', 'decibel' ),
			'slug' => 'one-click-demo-import',
		),
	) );

	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'decibel';

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id' => 'tgmpa',
		'default_path' => get_template_directory() . '/config/plugins/',
		'menu'         => 'tgmpa-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);
	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'wolf_theme_register_required_plugins' );