<?php
/**
 * Decibel Socials
 *
 * @package WordPress
 * @subpackage Decibel
 * @version 3.0.2
 */

defined( 'ABSPATH' ) || exit;

function decibel_set_socials_mods( $mods ) {

	if ( function_exists( 'wvc_get_socials' ) ) {

		$socials = wvc_get_socials();

		$mods['socials'] = array(
			'id' => 'socials',
			'title' => esc_html__( 'Social Networks', 'decibel' ),
			'icon' => 'share',
			'options' => array(),
		);

		foreach ( $socials as $social ) {
			$mods['socials']['options'][ $social ] = array(
				'id' => $social,
				'label' => ucfirst( $social ),
				'type' => 'text',
			);
		}
	}

	return $mods;
}
add_filter( 'decibel_customizer_mods', 'decibel_set_socials_mods' );